<?php
/**
 * The template for displaying gallery post format
 */ 

global $unisphere_options, $current_page_template;

switch( $current_page_template ) {
    
    case 'template_blog.php': ?>

        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

            <div class="post-text">
                <?php the_content(); ?>
            </div>

            <?php if ( $unisphere_options['show_blog_tweet_button'] == '1' || $unisphere_options['show_blog_fb_like_button'] == '1' || $unisphere_options['show_blog_google_plus_button'] == '1') : ?>
                <?php get_template_part( 'social-buttons' ); ?>
            <?php endif; ?>
        
            <div class="post-meta">

                <a class="permalink-icon" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>">&nbsp;</a>
                
                <?php printf( __( '<span class="author">by %1$s</span><span class="published">on %2$s</span>', 'unisphere' ),
                        sprintf( '<a class="url fn n" href="%1$s" title="%2$s">%3$s</a>',
                            get_author_posts_url( get_the_author_meta( 'ID' ) ),
                            sprintf( esc_attr__( 'View all posts by %s', 'unisphere' ), get_the_author() ),
                            get_the_author()
                        ),
                        sprintf( '<abbr class="published-time" title="%1$s">%2$s</abbr>',
                            esc_attr( get_the_time() ),
                            get_the_date()
                        )
                    ); ?>

                <?php if ( comments_open() && ! post_password_required() ) : ?>
                    <span class="post-comment-link"><?php comments_popup_link( __( 'with no comments', 'unisphere' ), __( 'with 1 Comment', 'unisphere' ), __( 'with % Comments', 'unisphere' ), 'comment-count' ); ?></span>
                <?php endif; ?>
                
            </div>        

        <!--END #post-<?php the_ID(); ?>-->
        </div>

        <?php break; ?>

    <?php case 'template_blog_alternate.php': ?>

        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <div class="post-left-wrapper">

                <div class="post-meta">

                    <a class="permalink-icon" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>">&nbsp;</a>

                    <?php printf( __( '<span class="author">by %1$s</span><span class="published">on %2$s</span>', 'unisphere' ),
                            sprintf( '<a class="url fn n" href="%1$s" title="%2$s">%3$s</a>',
                                get_author_posts_url( get_the_author_meta( 'ID' ) ),
                                sprintf( esc_attr__( 'View all posts by %s', 'unisphere' ), get_the_author() ),
                                get_the_author()
                            ),
                            sprintf( '<abbr class="published-time" title="%1$s">%2$s</abbr>',
                                esc_attr( get_the_time() ),
                                get_the_date()
                            )
                        ); ?>

                    <?php if ( comments_open() && ! post_password_required() ) : ?>
                        <span class="post-comment-link"><?php comments_popup_link( __( 'with no comments', 'unisphere' ), __( 'with 1 Comment', 'unisphere' ), __( 'with % Comments', 'unisphere' ), 'comment-count' ); ?></span>
                    <?php endif; ?>
                    
                </div>

                <?php if ( $unisphere_options['show_blog_tweet_button'] == '1' || $unisphere_options['show_blog_fb_like_button'] == '1' || $unisphere_options['show_blog_google_plus_button'] == '1') : ?>
                    <?php get_template_part( 'social-buttons' ); ?>
                <?php endif; ?>

            </div>
            
            <div class="post-right-wrapper">

                <h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

                <div class="post-text">
                    <?php the_content(); ?>
                </div>
            
            </div>

        <!--END #post-<?php the_ID(); ?>-->
        </div>

        <div class="clearfix">&nbsp;</div>

        <?php break; ?>

    <?php case 'template_blog_masonry.php': ?>

        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

            <div class="post-text">
                <?php the_content(); ?>
            </div>

            <div class="post-meta">

                <a class="permalink-icon" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>">&nbsp;</a>

                <?php printf( __( '<span class="author">by %1$s</span><span class="published">on %2$s</span>', 'unisphere' ),
                        sprintf( '<a class="url fn n" href="%1$s" title="%2$s">%3$s</a>',
                            get_author_posts_url( get_the_author_meta( 'ID' ) ),
                            sprintf( esc_attr__( 'View all posts by %s', 'unisphere' ), get_the_author() ),
                            get_the_author()
                        ),
                        sprintf( '<abbr class="published-time" title="%1$s">%2$s</abbr>',
                            esc_attr( get_the_time() ),
                            get_the_date()
                        )
                    ); ?>

                <?php if ( comments_open() && ! post_password_required() ) : ?>
                    <span class="post-comment-link"><?php comments_popup_link( __( 'with no comments', 'unisphere' ), __( 'with 1 Comment', 'unisphere' ), __( 'with % Comments', 'unisphere' ), 'comment-count' ); ?></span>
                <?php endif; ?>
                
            </div>

        <!--END #post-<?php the_ID(); ?>-->
        </div>

        <?php break; ?>

<?php } ?>