<?php
/**
 * The template for displaying content in the single-portfolio_cpt.php template
 */ 

global $unisphere_options, $parent_page_id;

$has_sidebar = ( unisphere_is_active_sidebar('main-sidebar') ? true : false ); ?>

<!--BEGIN #post-<?php the_ID(); ?>-->
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php if( isset($unisphere_options['show_portfolio_navigation_links']) && $unisphere_options['show_portfolio_navigation_links'] == '1' ) : ?>
    <div id="single-nav">
        <?php if( function_exists('next_post_link_plus') && function_exists('previous_post_link_plus') ) : ?>
            <div id="single-nav-prev"><?php previous_post_link_plus( array( 'format' => '&larr; %link', 'in_cats' => get_post_meta($parent_page_id, "_page_portfolio_cat", $single = true) ) ); ?></div>
            <div id="single-nav-next"><?php next_post_link_plus( array( 'format' => '%link &rarr;', 'in_cats' => get_post_meta($parent_page_id, "_page_portfolio_cat", $single = true) ) ); ?></div>
        <?php else : ?>
            <div id="single-nav-prev"><?php previous_post_link('&larr; %link'); ?></div>
            <div id="single-nav-next"><?php next_post_link('%link &rarr;'); ?></div>
        <?php endif; ?>
    </div>
    <div class="hr"><hr/></div>
    <?php endif; ?>

    <div class="portfolio-detail-media">
    <?php 
    $custom = get_post_custom($post->ID);

    // Display Video
    if( isset( $custom['_portfolio_video'][0] ) && $custom['_portfolio_video'][0] != 'disabled' ) {
        $rand = Rand();
        $autoplay = ( isset($custom['_portfolio_autoplay']) && $custom['_portfolio_autoplay'][0] == '1' ? 'false' : 'true' );
        $thumbnail = ( isset($custom['_portfolio_no_autoplay_thumbnail']) ? $custom['_portfolio_no_autoplay_thumbnail'][0] : '' );
        $data_attribute = '';
        switch ($custom['_portfolio_video'][0]) {
            case 'youtube':
                echo unisphere_run_shortcode('[video type="youtube" url="' . $custom['_portfolio_video_youtube'][0] . '" autoplay="' . $autoplay . '" /]');
                break;
            case 'vimeo':
                echo unisphere_run_shortcode('[video type="vimeo" url="' . $custom['_portfolio_video_vimeo'][0] . '" autoplay="' . $autoplay . '" /]');
                break;
            case 'html5_flv':
                if( isset( $custom['_portfolio_video_flv'] ) ) { // FLV
                    echo unisphere_run_shortcode('[video type="flv" flv="' . $custom['_portfolio_video_flv'][0] . '" ' . ( isset( $custom['_portfolio_video_flv_hd'] ) ? ' flvhd="' . $custom['_portfolio_video_flv_hd'][0] . '"' : '' ) . ' autoplay="' . $autoplay . '" thumbnail="' . $thumbnail . '" /]');
                } else { // HTML5
                    echo unisphere_run_shortcode('[video type="html5" mp4="' . $custom['_portfolio_video_html5_mp4'][0] . '" ' . ( isset( $custom['_portfolio_video_html5_mp4_hd'] ) ? ' mp4hd="' . $custom['_portfolio_video_html5_mp4_hd'][0] . '"' : '' ) . ' ' . ( isset( $custom['_portfolio_video_html5_webm'] ) ? ' webmogg="' . $custom['_portfolio_video_html5_webm'][0] . '"' : '' ) . ' ' . ( isset( $custom['_portfolio_video_html5_webm_hd'] ) ? ' webmogghd="' . $custom['_portfolio_video_html5_webm_hd'][0] . '"' : '' ) . ' autoplay="' . $autoplay . '" thumbnail="' . $thumbnail . '" /]');
                }
                break;
        }
    }
    
    // Images
    $photos = get_children( array('post_parent' => $post->ID, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID') );

    if ($photos) : 
        
        $portfolio_exclude_featured_image = ( !empty($custom['_portfolio_exclude_featured_image']) && $custom['_portfolio_exclude_featured_image'][0] == '1' ? '1' : '' );

        // Check how the user as selected to display images
        switch ( $custom['_portfolio_detail_big_images'][0] ) {
            case 'slider': // display images in a Slider 
                
                if( !$has_sidebar )
                    $aspect_ratio = 960 / intval( !empty( $unisphere_options['advanced_image_size_big_slider_shortcode_height'] ) ? $unisphere_options['advanced_image_size_big_slider_shortcode_height'] : 375 );  
                else
                    $aspect_ratio = 710 / intval( !empty( $unisphere_options['advanced_image_size_medium_slider_shortcode_height'] ) ? $unisphere_options['advanced_image_size_medium_slider_shortcode_height'] : 280 );    
                ?>

                <div class="slider-container <?php echo ( $has_sidebar ? 'medium' : 'big' ); ?>">
                    <ul class="slider slider-<?php echo ( $has_sidebar ? 'medium' : 'big' ); ?>" id="slider-portfolio-detail" data-aspect-ratio="<?php echo $aspect_ratio; ?>">
                    
                    <?php                                
                        foreach ($photos as $photo) : 
                            if( ( $photo->ID != get_post_thumbnail_id($post->ID) && $portfolio_exclude_featured_image == '1' ) || $portfolio_exclude_featured_image != '1' ) : 
                            if( $has_sidebar ) {
                                $image = unisphere_resize( $photo->ID, null, UNISPHERE_SLIDER_MEDIUM_W, UNISPHERE_SLIDER_MEDIUM_H, UNISPHERE_SLIDER_MEDIUM_CROP );
                            } else {
                                $image = unisphere_resize( $photo->ID, null, UNISPHERE_SLIDER_BIG_W, UNISPHERE_SLIDER_BIG_H, UNISPHERE_SLIDER_BIG_CROP );
                            } ?>
                            <li class="no-description">
                                <div class="slider-image">
                                    <img src="<?php echo $image['url']; ?>" width="<?php echo $image['width']; ?>" height="<?php echo $image['height']; ?>" alt="<?php echo get_post_meta($photo->ID, '_wp_attachment_image_alt', true); ?>" title="<?php echo $photo->post_title; ?>" />
                                </div>
                            </li>
                        <?php endif; ?>
                    <?php endforeach; ?>

                    </ul>
                </div>
        <?php   
            break; // end slider images
                
            case 'big': // display big images
            
                foreach ($photos as $photo) : 
                    if( ( $photo->ID != get_post_thumbnail_id($post->ID) && $portfolio_exclude_featured_image == '1' ) || $portfolio_exclude_featured_image != '1' ) :
                        if( $has_sidebar ) {
                            $image = unisphere_resize( $photo->ID, null, UNISPHERE_PORTFOLIO_DETAIL_SIDEBAR_W, UNISPHERE_PORTFOLIO_DETAIL_SIDEBAR_H, UNISPHERE_PORTFOLIO_DETAIL_SIDEBAR_CROP );
                        } else {
                            $image = unisphere_resize( $photo->ID, null, UNISPHERE_PORTFOLIO_DETAIL_W, UNISPHERE_PORTFOLIO_DETAIL_H, UNISPHERE_PORTFOLIO_DETAIL_CROP );
                        } ?>
                        <p class="portfolio-detail-big-image">
                        <a href="<?php $portfolio_full = wp_get_attachment_image_src($photo->ID, 'full'); echo $portfolio_full[0]; ?>" title="<?php echo $photo->post_title; ?>" data-rel="lightbox[<?php echo $post->ID; ?>]" class="no-underline">
                        <img src="<?php echo $image['url']; ?>" width="<?php echo $image['width']; ?>" height="<?php echo $image['height']; ?>" alt="<?php echo get_post_meta($photo->ID, '_wp_attachment_image_alt', true); ?>" />
                        </a>                                
                        <?php echo '<span class="caption">' . $photo->post_excerpt . '</span>'; ?>
                        </p>
                <?php endif; 
                endforeach; 
                
                break; // end big images

            case 'featured': // display featured image only
            
                foreach ($photos as $photo) : 
                    if( $photo->ID == get_post_thumbnail_id($post->ID) ) :
                        if( $has_sidebar ) {
                            $image = unisphere_resize( $photo->ID, null, UNISPHERE_PORTFOLIO_DETAIL_SIDEBAR_W, UNISPHERE_PORTFOLIO_DETAIL_SIDEBAR_H, UNISPHERE_PORTFOLIO_DETAIL_SIDEBAR_CROP );
                        } else {
                            $image = unisphere_resize( $photo->ID, null, UNISPHERE_PORTFOLIO_DETAIL_W, UNISPHERE_PORTFOLIO_DETAIL_H, UNISPHERE_PORTFOLIO_DETAIL_CROP );
                        } ?>
                        <p class="portfolio-detail-big-image">
                        <a href="<?php $portfolio_full = wp_get_attachment_image_src($photo->ID, 'full'); echo $portfolio_full[0]; ?>" title="<?php echo $photo->post_title; ?>" data-rel="lightbox[<?php echo $post->ID; ?>]" class="no-underline">
                        <img src="<?php echo $image['url']; ?>" width="<?php echo $image['width']; ?>" height="<?php echo $image['height']; ?>" alt="<?php echo get_post_meta($photo->ID, '_wp_attachment_image_alt', true); ?>" />
                        </a>                                
                        <?php echo '<span class="caption">' . $photo->post_excerpt . '</span>'; ?>
                        </p>
                <?php endif; 
                endforeach; 
                
                break; // featured image only
            
            case 'gallery': // display images in a gallery
            ?>
            
                <div class="gallery-portfolio-detail"><?php echo do_shortcode('[gallery ' . ( $portfolio_exclude_featured_image == '1' ? 'exclude="' . get_post_thumbnail_id($post->ID) . '" ' : '' ) . '/]'); ?></div>
            
        <?php 
            break; // end gallery
        } // end switch ?>

    <?php endif; ?>
    </div>

    <div class="post-left-wrapper">

        <div class="post-meta">

            <?php printf( __( '<span class="published">on %1$s</span>', 'unisphere' ),
                    sprintf( '<abbr class="published-time" title="%1$s">%2$s</abbr>',
                        esc_attr( get_the_time() ),
                        get_the_date()
                    )
                ); ?>

            <?php if ( count( get_the_category() ) ) : ?>
                <span class="post-categories"><?php printf( __( 'in %s', 'unisphere' ), get_the_category_list( ', ' ) ); ?></span>
            <?php endif; ?>
            
            <?php if ( comments_open() && ! post_password_required() ) : ?>
                <span class="post-comment-link"><?php comments_popup_link( __( 'with no comments', 'unisphere' ), __( 'with 1 Comment', 'unisphere' ), __( 'with % Comments', 'unisphere' ), 'comment-count' ); ?></span>
            <?php endif; ?>
            
        </div>

        <?php if ( $unisphere_options['show_portfolio_tweet_button'] == '1' || $unisphere_options['show_portfolio_fb_like_button'] == '1' || $unisphere_options['show_portfolio_google_plus_button'] == '1') : ?>
            <div class="post-share-buttons">
                <?php if ( $unisphere_options['show_portfolio_tweet_button'] == '1' ) : ?>
                    <div class="twitter-share">
                        <a href="http://twitter.com/share" class="twitter-share-button" data-url="<?php echo get_permalink(); ?>" data-count="none">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
                    </div>
                <?php endif; ?>
                <?php if ( $unisphere_options['show_portfolio_fb_like_button'] == '1' ) : ?>
                    <div class="facebook-share">
                        <iframe src="//www.facebook.com/plugins/like.php?locale=en_US&amp;href=<?php echo rawurlencode(get_permalink()); ?>&amp;send=false&amp;layout=button_count&amp;width=53&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=20" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:48px; height:20px;" allowTransparency="true"></iframe>
                    </div>
                <?php endif; ?>
                <?php if ( $unisphere_options['show_portfolio_google_plus_button'] == '1' ) : ?>
                    <div class="google-plus-share">
                        <div class="g-plusone" data-size="medium" data-annotation="inline" data-href="<?php echo get_permalink(); ?>"></div>
                    </div>
                <?php endif; ?>
            </div>
        <?php endif; ?>

    </div>
    
    <div class="post-right-wrapper">

        <div class="post-text">
            <?php the_content(); ?>
            <?php wp_link_pages('before=<div class="wp-pagenavi post_linkpages">&after=</div><br />&link_before=<span>&link_after=</span>'); ?>            
        </div>
    
    </div>

    <div class="clearfix">&nbsp;</div>

    <?php // Related Portfolio Items 
    if( !empty( $unisphere_options['show_portfolio_related_work'] ) ) :
        foreach (get_the_terms($post->ID, 'portfolio_category') as $term)
            $terms[] = $term->term_id;

        $related_posts_to_query = get_objects_in_term( $terms, 'portfolio_category' );
        $related_posts_to_query = remove_item_by_value( $related_posts_to_query, $post->ID, true );
        remove_all_filters('posts_orderby');
        $wp_query = new WP_Query( array( 'post_type' => 'portfolio_cpt', 'post__in' => $related_posts_to_query, 'showposts' => ( $has_sidebar ? 2 : 3 ), 'orderby' => 'rand' ) ); 

        if ( $wp_query->have_posts() ) : ?>
            <div id="portfolio-3-columns-sidebar" class="related-work clearfix">
                <h3 id="related-work-title"><?php _e('Related Work', 'unisphere'); ?></h3>
                <ul class="portfolio-3-columns-list-with-sidebar portfolio-hover-effect clearfix">
                <?php while ($wp_query->have_posts()) : $wp_query->the_post(); 
                    $custom = get_post_custom($post->ID); ?>
                    <li class="portfolio-item">
                        <?php echo unisphere_get_post_image("portfolio3-sidebar"); ?>
                        <div class="portfolio-info">
                            <a class="portfolio-title" href="<?php echo !empty( $custom['_portfolio_link'][0] ) ? $custom['_portfolio_link'][0] : the_permalink(); ?>"><?php the_title(); ?></a>
                            <div class="portfolio-excerpt"><?php the_excerpt(); ?></div>
                            <div class="triangle">
                            <?php if( !empty( $custom['_portfolio_link'][0]) ) : // User has set a custom destination link for this portfolio item ?>
                                <a class="read-more-icon" href="<?php echo $custom['_portfolio_link'][0]; ?>">&nbsp;</a>
                            <?php else : // Link to the portfolio item detail page ?>
                                <a class="read-more-icon" href="<?php echo the_permalink(); ?>" title="<?php the_title(); ?>">&nbsp;</a>
                            <?php endif; ?>
                            </div>
                        </div>
                    </li>
                <?php endwhile; ?>
                <?php wp_reset_query(); ?>
                </ul>            
            </div>
            <?php if ( have_comments() || comments_open() ) : ?>
            <div class="hr"><hr /></div>
            <?php endif; ?>
        <?php endif; ?>
    <?php endif; ?>

<!--END #post-<?php the_ID(); ?>-->
</div>

<div class="clearfix">&nbsp;</div>
