<?php
/**
 * The template for displaying content in the single.php template
 */ 

global $unisphere_options, $parent_page_id;

$post_format = get_post_format();
$has_main_sidebar = ( unisphere_is_active_sidebar('main-sidebar') ? true : false ); ?>

<!--BEGIN #post-<?php the_ID(); ?>-->
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php if( isset($unisphere_options['show_post_navigation_links']) && $unisphere_options['show_post_navigation_links'] == '1' ) : ?>
    <div id="single-nav">
        <?php if( function_exists('next_post_link_plus') && function_exists('previous_post_link_plus') ) : ?>
            <div id="single-nav-prev"><?php previous_post_link_plus( array( 'format' => '&larr; %link', 'in_cats' => get_post_meta($parent_page_id, "_page_portfolio_cat", $single = true) ) ); ?></div>
            <div id="single-nav-next"><?php next_post_link_plus( array( 'format' => '%link &rarr;', 'in_cats' => get_post_meta($parent_page_id, "_page_portfolio_cat", $single = true) ) ); ?></div>
        <?php else : ?>
            <div id="single-nav-prev"><?php previous_post_link('&larr; %link'); ?></div>
            <div id="single-nav-next"><?php next_post_link('%link &rarr;'); ?></div>
        <?php endif; ?>
    </div>
    <div class="hr"><hr/></div>
    <?php endif; ?>

    <?php if( ($post_format == '' || $post_format == 'image' ) && (!$has_main_sidebar && unisphere_get_post_image("blog-detail") != '') || ($has_main_sidebar && unisphere_get_post_image("blog-detail-without-sidebar") != '') ) : ?>
    <div class="post-image">
        <?php echo unisphere_get_post_image("blog-detail" . ( !$has_main_sidebar ? "-without-sidebar" : "" )); ?>
    </div>
    <?php endif; ?>

    <h2 class="post-title"><?php the_title(); ?></h2>

    <div class="post-left-wrapper">

        <div class="post-meta">

            <?php printf( __( '<span class="author">by %1$s</span><span class="published">on %2$s</span>', 'unisphere' ),
                    sprintf( '<a class="url fn n" href="%1$s" title="%2$s">%3$s</a>',
                        get_author_posts_url( get_the_author_meta( 'ID' ) ),
                        sprintf( esc_attr__( 'View all posts by %s', 'unisphere' ), get_the_author() ),
                        get_the_author()
                    ),
                    sprintf( '<abbr class="published-time" title="%1$s">%2$s</abbr>',
                        esc_attr( get_the_time() ),
                        get_the_date()
                    )
                ); ?>

            <?php if ( count( get_the_category() ) ) : ?>
                <span class="post-categories"><?php printf( __( 'in %s', 'unisphere' ), get_the_category_list( ', ' ) ); ?></span>
            <?php endif; ?>
            
            <?php
                $tags_list = get_the_tag_list( '', ', ' );
                if ( $tags_list ) : ?>
                <span class="post-tags"><?php printf( __( 'tagged %s', 'unisphere' ), $tags_list ); ?></span>
            <?php endif; ?>
            
            <?php if ( comments_open() && ! post_password_required() ) : ?>
                <span class="post-comment-link"><?php comments_popup_link( __( 'with no comments', 'unisphere' ), __( 'with 1 Comment', 'unisphere' ), __( 'with % Comments', 'unisphere' ), 'comment-count' ); ?></span>
            <?php endif; ?>
            
        </div>

        <?php if ( $unisphere_options['show_blog_tweet_button'] == '1' || $unisphere_options['show_blog_fb_like_button'] == '1' || $unisphere_options['show_blog_google_plus_button'] == '1') : ?>
            <?php get_template_part( 'social-buttons' ); ?>
        <?php endif; ?>

    </div>
    
    <div class="post-right-wrapper">

        <div class="post-text">
            <?php if( $post_format == 'link' || $post_format == 'quote' || $post_format == 'status' ): ?>
                <div class="<?php echo $post_format; ?>-icon"></div>
                <div class="triangle"></div>
            <?php endif; ?>

            <?php the_content(); ?>
            <?php wp_link_pages('before=<div class="wp-pagenavi post_linkpages">&after=</div><br />&link_before=<span>&link_after=</span>'); ?>            
        </div>
    
    </div>

    <div class="clearfix">&nbsp;</div>

    <?php // Post author info
    if( !empty( $unisphere_options['show_blog_author_info'] ) && get_the_author_meta( 'description' ) ) : ?>
        <div id="author-info-wrapper" class="clearfix">
            <h3 id="author-info-title"><?php printf( esc_attr__( 'About %s', 'unisphere' ), get_the_author() ); ?></h3>
            <div id="author-info">
                <div id="author-avatar">
                    <?php echo get_avatar( get_the_author_meta( 'user_email' ), 60 ); ?>
                </div>
                <div id="author-description">
                    <?php the_author_meta( 'description' ); ?>
                    <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
                        <?php printf( __( 'View all posts by %s', 'unisphere' ), get_the_author() ); ?>
                    </a>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <?php // Related Blog Posts
    if( !empty( $unisphere_options['show_blog_related_posts'] ) ) :

        $backup = $post;  // backup the current object
        $posts_tags = array();
        $posts_cats = array();
        
        // Get posts with the same tags as the current post
        $tags = wp_get_post_tags($post->ID);
        if( $tags ) {
            $tagcount = count($tags);
            $tagIDs = array();
        
            for( $i = 0; $i < $tagcount; $i++ ) {
                $tagIDs[$i] = $tags[$i]->term_id;
            }
            
            remove_all_filters('posts_orderby');
            $posts_tags = get_posts(array(
                'tag__in' => $tagIDs,
                'post__not_in' => array($post->ID),
                'showposts' => ( $has_main_sidebar ? 2 : 3 ),
                'ignore_sticky_posts' => 1
            ));
        }

        // Get posts with the same categories as the current post
        $cats = get_the_category($post->ID);
        if( $cats ) {
            $catIDs = array();
            foreach($cats as $individual_cat) {
                $catIDs[] = $individual_cat->term_id;
            }

            remove_all_filters('posts_orderby');
            $posts_cats = get_posts(array(
                'category__in' => $catIDs,
                'post__not_in' => array($post->ID),
                'showposts' => ( $has_main_sidebar ? 2 : 3 ), 
                'ignore_sticky_posts' => 1
            ));
        }

        $merged_posts = array_merge( $posts_tags, $posts_cats ); //combine queries

        if( count($merged_posts) > 0 ) {
            $post_ids = array();
            foreach( $merged_posts as $item ) {
                $post_ids[]=$item->ID; //create a new query only of the post ids
            }
            $merged_posts = array_unique($post_ids); //remove duplicate post ids

            remove_all_filters('posts_orderby');
            $posts = get_posts(array(
                'post__in' => $merged_posts, //new query of only the unique post ids on the merged queries from above
                'orderby' => 'rand',
                'showposts' => ( $has_main_sidebar ? 2 : 3 )
            ));
            
            echo '<div class="related-posts">';
            echo '<h3 id="related-posts-title">' . __('Related Posts', 'unisphere') . '</h3>';
            if ( have_comments() || comments_open() ) {
                echo '<ul>';
            } else {
                echo '<ul style="border-bottom: 0; padding-bottom: 0;">';
            }
            foreach( $posts as $post ) {
                setup_postdata($post);            
                
                $image = unisphere_get_post_image( 'sidebar-post' );
                echo '<li' . ( !$image ? ' class="no-image"' : '' ) .  '>';
                if( $image )
                    echo '<a href="' . get_permalink(get_the_ID()) . '" title="' . get_the_title() . '" class="post-image no-underline">' . $image . '</a>';
                echo '<a href="' . get_permalink(get_the_ID()) . '" title="' . get_the_title() . '" class="post-title">' . get_the_title() . '</a>';
                echo '<p class="excerpt">' . unisphere_custom_excerpt( get_the_excerpt(), 29 ) . '</p>';
                echo '</li>';
            }
            echo '</ul>';
            echo '</div>';
        }
        $post = $backup;  // copy it back
        wp_reset_query(); // to use the original query again ?>
    <?php endif; ?>

<!--END #post-<?php the_ID(); ?>-->
</div>

<div class="clearfix">&nbsp;</div>
