<?php
/**
 * The default template for displaying content
 */ 

global $unisphere_options, $current_page_template, $has_main_sidebar;

switch( $current_page_template ) {
    
    case 'template_blog.php': ?>

        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <?php if ( 'post' == get_post_type() || 'portfolio_cpt' == get_post_type() ) : // Hide featured image for pages on Search ?>
            <div class="post-image">
                <a href="<?php the_permalink(); ?>" class="no-underline"><?php echo unisphere_get_post_image("blog" . ( !$has_main_sidebar ? "-without-sidebar" : "" )); ?></a>
                <div class="triangle"><a class="read-more-icon" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>">&nbsp;</a></div>
            </div>
            <?php endif; ?>

            <h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

            <?php if ( 'post' == get_post_type() ) : // Hide share buttons for portfolio and pages on Search ?>
                <?php if ( $unisphere_options['show_blog_tweet_button'] == '1' || $unisphere_options['show_blog_fb_like_button'] == '1' || $unisphere_options['show_blog_google_plus_button'] == '1') : ?>
                    <?php get_template_part( 'social-buttons' ); ?>
                <?php endif; ?>
            <?php endif; ?>
        
            <?php if ( 'post' == get_post_type() ) : // Hide meta information for portfolio and pages on Search ?>
            <div class="post-meta">

                <?php printf( __( '<span class="author">by %1$s</span><span class="published">on %2$s</span>', 'unisphere' ),
                        sprintf( '<a class="url fn n" href="%1$s" title="%2$s">%3$s</a>',
                            get_author_posts_url( get_the_author_meta( 'ID' ) ),
                            sprintf( esc_attr__( 'View all posts by %s', 'unisphere' ), get_the_author() ),
                            get_the_author()
                        ),
                        sprintf( '<abbr class="published-time" title="%1$s">%2$s</abbr>',
                            esc_attr( get_the_time() ),
                            get_the_date()
                        )
                    ); ?>

                <?php if ( count( get_the_category() ) ) : ?>
                    <span class="post-categories"><?php printf( __( 'in %s', 'unisphere' ), get_the_category_list( ', ' ) ); ?></span>
                <?php endif; ?>
                
                <?php
                    $tags_list = get_the_tag_list( '', ', ' );
                    if ( $tags_list ) : ?>
                    <span class="post-tags"><?php printf( __( 'tagged %s', 'unisphere' ), $tags_list ); ?></span>
                <?php endif; ?>
                
                <?php if ( comments_open() && ! post_password_required() ) : ?>
                    <span class="post-comment-link"><?php comments_popup_link( __( 'with no comments', 'unisphere' ), __( 'with 1 Comment', 'unisphere' ), __( 'with % Comments', 'unisphere' ), 'comment-count' ); ?></span>
                <?php endif; ?>
                
            </div>
            <?php endif; ?>

            <div class="post-text">
                <?php if(is_search()) the_excerpt(); else the_content(); ?>
                <?php wp_link_pages('before=<div class="wp-pagenavi post_linkpages">&after=</div><br />&link_before=<span>&link_after=</span>'); ?>            
            </div>

        <!--END #post-<?php the_ID(); ?>-->
        </div>

        <?php break; ?>

    <?php case 'template_blog_alternate.php': ?>

        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <div class="post-left-wrapper<?php if( (!$has_main_sidebar && unisphere_get_post_image("blog-alternate") == '') || ($has_main_sidebar && unisphere_get_post_image("blog-alternate-without-sidebar") == '') ) echo ' no-image'; ?>">

                <?php if( (!$has_main_sidebar && unisphere_get_post_image("blog-alternate") != '') || ($has_main_sidebar && unisphere_get_post_image("blog-alternate-without-sidebar") != '') ) : ?>
                <h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                <?php endif; ?>

                <?php if ( 'post' == get_post_type() ) : // Hide meta information for portfolio and pages on Search ?>
                <div class="post-meta">

                    <?php printf( __( '<span class="author">by %1$s</span><span class="published">on %2$s</span>', 'unisphere' ),
                            sprintf( '<a class="url fn n" href="%1$s" title="%2$s">%3$s</a>',
                                get_author_posts_url( get_the_author_meta( 'ID' ) ),
                                sprintf( esc_attr__( 'View all posts by %s', 'unisphere' ), get_the_author() ),
                                get_the_author()
                            ),
                            sprintf( '<abbr class="published-time" title="%1$s">%2$s</abbr>',
                                esc_attr( get_the_time() ),
                                get_the_date()
                            )
                        ); ?>

                    <?php if ( count( get_the_category() ) ) : ?>
                        <span class="post-categories"><?php printf( __( 'in %s', 'unisphere' ), get_the_category_list( ', ' ) ); ?></span>
                    <?php endif; ?>
                    
                    <?php
                        $tags_list = get_the_tag_list( '', ', ' );
                        if ( $tags_list ) : ?>
                        <span class="post-tags"><?php printf( __( 'tagged %s', 'unisphere' ), $tags_list ); ?></span>
                    <?php endif; ?>
                    
                    <?php if ( comments_open() && ! post_password_required() ) : ?>
                        <span class="post-comment-link"><?php comments_popup_link( __( 'with no comments', 'unisphere' ), __( 'with 1 Comment', 'unisphere' ), __( 'with % Comments', 'unisphere' ), 'comment-count' ); ?></span>
                    <?php endif; ?>
                    
                </div>
                <?php endif; ?>

                <?php if ( 'post' == get_post_type() ) : // Hide share buttons for portfolio and pages on Search ?>
                    <?php if ( $unisphere_options['show_blog_tweet_button'] == '1' || $unisphere_options['show_blog_fb_like_button'] == '1' || $unisphere_options['show_blog_google_plus_button'] == '1') : ?>
                        <?php get_template_part( 'social-buttons' ); ?>
                    <?php endif; ?>
                <?php endif; ?>

            </div>
            
            <div class="post-right-wrapper<?php if( (!$has_main_sidebar && unisphere_get_post_image("blog-alternate") == '') || ($has_main_sidebar && unisphere_get_post_image("blog-alternate-without-sidebar") == '') ) echo ' no-image'; ?>">

                <?php if ( ( 'post' == get_post_type() || 'portfolio_cpt' == get_post_type() ) && (!$has_main_sidebar && unisphere_get_post_image("blog-alternate") != '') || ($has_main_sidebar && unisphere_get_post_image("blog-alternate-without-sidebar") != '') ) : // Hide featured image for pages on Search ?>
                <div class="post-image">
                    <a href="<?php the_permalink(); ?>" class="no-underline"><?php echo unisphere_get_post_image("blog-alternate" . ( !$has_main_sidebar ? "-without-sidebar" : "" )); ?></a>
                    <div class="triangle"><a class="read-more-icon" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>">&nbsp;</a></div>
                </div>
                <?php endif; ?>

                <?php if( (!$has_main_sidebar && unisphere_get_post_image("blog-alternate") == '') || ($has_main_sidebar && unisphere_get_post_image("blog-alternate-without-sidebar") == '') ) : ?>
                <h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                <?php endif; ?>

                <div class="post-text">
                    <?php if(is_search()) the_excerpt(); else the_content(); ?>
                    <?php wp_link_pages('before=<div class="wp-pagenavi post_linkpages">&after=</div><br />&link_before=<span>&link_after=</span>'); ?>            
                </div>
            
            </div>

        <!--END #post-<?php the_ID(); ?>-->
        </div>

        <div class="clearfix">&nbsp;</div>

        <?php break; ?>

    <?php case 'template_blog_masonry.php': ?>

        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <?php if ( 'post' == get_post_type() || 'portfolio_cpt' == get_post_type() ) : // Hide featured image for pages on Search ?>
            <div class="post-image">
                <a href="<?php the_permalink(); ?>" class="no-underline"><?php echo unisphere_get_post_image("blog-masonry"); ?></a>
                <div class="triangle"><a class="read-more-icon" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>">&nbsp;</a></div>
            </div>
            <?php endif; ?>

            <h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

            <div class="post-text">
                <?php echo the_excerpt(); ?>
            </div>
            
            <?php if ( 'post' == get_post_type() ) : // Hide meta information for portfolio and pages on Search ?>
            <div class="post-meta">

                <a class="permalink-icon" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'unisphere' ), the_title_attribute( 'echo=0' ) ); ?>">&nbsp;</a>

                <?php printf( __( '<span class="author">by %1$s</span><span class="published">on %2$s</span>', 'unisphere' ),
                        sprintf( '<a class="url fn n" href="%1$s" title="%2$s">%3$s</a>',
                            get_author_posts_url( get_the_author_meta( 'ID' ) ),
                            sprintf( esc_attr__( 'View all posts by %s', 'unisphere' ), get_the_author() ),
                            get_the_author()
                        ),
                        sprintf( '<abbr class="published-time" title="%1$s">%2$s</abbr>',
                            esc_attr( get_the_time() ),
                            get_the_date()
                        )
                    ); ?>

                <?php if ( comments_open() && ! post_password_required() ) : ?>
                    <span class="post-comment-link"><?php comments_popup_link( __( 'with no comments', 'unisphere' ), __( 'with 1 Comment', 'unisphere' ), __( 'with % Comments', 'unisphere' ), 'comment-count' ); ?></span>
                <?php endif; ?>
                
            </div>
            <?php endif; ?>

        <!--END #post-<?php the_ID(); ?>-->
        </div>

        <?php break; ?>

<?php } ?>