<?php // Include WordPress core files for WP function access
$absolute_path = __FILE__;
$path_to_file = explode( 'wp-content', $absolute_path );
$path_to_wp = $path_to_file[0];
require_once( $path_to_wp.'/wp-load.php' );

// Theme Options
global $unisphere_options;
?>

/* DON'T EDIT: This file is automatically generated by the skin manager, any changes will be overwritten. */

/* Fallback Font Family */
button, input, select, textarea, .custom-button { font-family: <?php echo $unisphere_options['fonts_fallback_font_family']['face']; ?>; }

/* Headings */
h1, h2, h3, h4 { <?php echo ( !empty( $unisphere_options['skin_heading_color'] ) ? 'color: ' . $unisphere_options['skin_heading_color'] . ';' : '' ); ?> }
h5, h6 { <?php echo ( !empty( $unisphere_options['skin_heading_alt_color'] ) ? 'color: ' . $unisphere_options['skin_heading_alt_color'] . ';' : '' ); ?> }
<?php // Headings and blog post titles font
if( empty( $unisphere_options['fonts_headings_font']['face'] ) || beginsWith( $unisphere_options['fonts_headings_font']['face'], 'cufon' ) ) {
	// use default fallback font
	echo 'h1, h2, h3, h4, h5, h6 { font-family: ' . $unisphere_options['fonts_fallback_font_family']['face'] . '; }' . "\n";
} else {	
	if( beginsWith( $unisphere_options['fonts_headings_font']['face'], 'google' ) ) {
		// it's a Google web font
		echo 'h1, h2, h3, h4, h5, h6 { font-family: \'' . str_replace( '+', ' ', str_replace( 'google:', '', $unisphere_options['fonts_headings_font']['face'] ) ) . '\', ' . $unisphere_options['fonts_fallback_font_family']['face'] . '; }' . "\n";
	} else { 
		// it's a default font family stack
		echo 'h1, h2, h3, h4, h5, h6 { font-family: ' . $unisphere_options['fonts_headings_font']['face'] . '; }' . "\n";
	}
}	
?>

/* The page Body */
body { <?php echo ( !empty( $unisphere_options['skin_body_text_color'] ) ? 'color: ' . $unisphere_options['skin_body_text_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_body_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_body_bgimage']['image']) . '\') ' . $unisphere_options['skin_body_bgimage']['repeat'] . ' ' . $unisphere_options['skin_body_bgimage']['attachment'] . ' ' . $unisphere_options['skin_body_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_body_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_body_bgcolor'] . ';' : '' ); ?> font-size: <?php echo $unisphere_options['fonts_body_font_family']['size']; ?>; line-height: <?php echo $unisphere_options['fonts_body_font_family']['lineheight']; ?>; }
<?php // The Body font family
	if( $unisphere_options['fonts_body_font_family']['face'] == '' ) { // Use the fallback font family
		echo 'body, h2.slider-title, h3#reply-title, h3#reply-title small, h3#comment-title, h3#related-work-title, h3#related-posts-title, h3#author-info-title, h3.info-box-title, h4.price-column-title, .product a h3, .upsells.products h2, .related.products h2, #content .woocommerce_tabs h2, #container #content .woocommerce-tabs h2 { font-family: ' . $unisphere_options['fonts_fallback_font_family']['face'] . '; }' . "\n";
	} elseif( beginsWith( $unisphere_options['fonts_body_font_family']['face'], 'google' ) ) { // It's a Google Web Font
		echo 'body, h2.slider-title, h3#reply-title, h3#reply-title small, h3#comment-title, h3#related-work-title, h3#related-posts-title, h3#author-info-title, h3.info-box-title, h4.price-column-title, .product a h3, .upsells.products h2, .related.products h2, #content .woocommerce_tabs h2, #container #content .woocommerce-tabs h2 { font-family: \'' . str_replace( '+', ' ', str_replace( 'google:', '', $unisphere_options['fonts_body_font_family']['face'] ) ) . '\', ' . $unisphere_options['fonts_fallback_font_family']['face'] . '; }' . "\n";
	} else {
		echo 'body, h2.slider-title, h3#reply-title, h3#reply-title small, h3#comment-title, h3#related-work-title, h3#related-posts-title, h3#author-info-title, h3.info-box-title, h4.price-column-title, .product a h3, .upsells.products h2, .related.products h2, #content .woocommerce_tabs h2, #container #content .woocommerce-tabs h2 { font-family: ' . $unisphere_options['fonts_body_font_family']['face'] . '; }' . "\n"; // It's a normal font stack
	}
?>

/* Links */
a { <?php echo ( !empty( $unisphere_options['skin_link_color'] ) ? 'color: ' . $unisphere_options['skin_link_color'] . ';' : '' ); ?> }
a:hover { <?php echo ( !empty( $unisphere_options['skin_link_hover_color'] ) ? 'color: ' . $unisphere_options['skin_link_hover_color'] . ';' : '' ); ?> }

/* Text Selection */
::-moz-selection { <?php echo ( !empty( $unisphere_options['skin_link_color'] ) && $unisphere_options['skin_link_color'] != '#ffffff' ? 'color: #ffffff;' : 'color: #000000;' ); ?> <?php echo ( !empty( $unisphere_options['skin_link_color'] ) ? 'background: ' . $unisphere_options['skin_link_color'] . ';' : '' ); ?> }
::selection { <?php echo ( !empty( $unisphere_options['skin_link_color'] ) && $unisphere_options['skin_link_color'] != '#ffffff' ? 'color: #ffffff;' : 'color: #000000;' ); ?> <?php echo ( !empty( $unisphere_options['skin_link_color'] ) ? 'background: ' . $unisphere_options['skin_link_color'] . ';' : '' ); ?> }

/* The superior-header bar  */
#superior-header-container { <?php echo ( !empty( $unisphere_options['skin_superior_header_bar_container_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_superior_header_bar_container_bgimage']['image']) . '\') ' . $unisphere_options['skin_superior_header_bar_container_bgimage']['repeat'] . ' ' . $unisphere_options['skin_superior_header_bar_container_bgimage']['attachment'] . ' ' . $unisphere_options['skin_superior_header_bar_container_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_superior_header_bar_container_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_superior_header_bar_container_bgcolor'] . ';' : '' ); ?> }
#superior-header { <?php echo ( !empty( $unisphere_options['skin_superior_header_bar_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_superior_header_bar_bgimage']['image']) . '\') ' . $unisphere_options['skin_superior_header_bar_bgimage']['repeat'] . ' ' . $unisphere_options['skin_superior_header_bar_bgimage']['attachment'] . ' ' . $unisphere_options['skin_superior_header_bar_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_superior_header_bar_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_superior_header_bar_bgcolor'] . ';' : '' ); ?> }
#superior-header, #superior-header a { <?php echo ( !empty( $unisphere_options['skin_superior_header_bar_text_color'] ) ? 'color: ' . $unisphere_options['skin_superior_header_bar_text_color'] . ';' : '' ); ?> }
<?php // Superior-header bar height
if( isset( $unisphere_options['skin_superior_header_bar_height'] ) ) {
	switch( $unisphere_options['skin_superior_header_bar_height'] ) {
		case 'disabled':
			echo '#superior-header-container { display: none; }';
			break;
		case '30':
			echo '#superior-header-container { height: 30px; }';
			break;
		case '7':
			echo '#superior-header { height: 7px; line-height: 7px; } #superior-header * { display: none; }';
			break;
	}
} ?>
#superior-header { <?php echo ( !empty( $unisphere_options['skin_superior_header_bar_width'] ) ? 'width: ' . ( ( intval($unisphere_options['skin_superior_header_bar_width']) - 2*( isset( $unisphere_options['skin_superior_header_bar_side_padding'] ) ? intval( $unisphere_options['skin_superior_header_bar_side_padding'] ) : 0 ) ) ) . 'px; padding: 0 ' . ( isset( $unisphere_options['skin_superior_header_bar_side_padding'] ) ? intval( $unisphere_options['skin_superior_header_bar_side_padding'] ) : 0 ) . 'px;' : '' ); ?> }

/* The header  */
#header-container { <?php echo ( !empty( $unisphere_options['skin_header_container_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_header_container_bgimage']['image']) . '\') ' . $unisphere_options['skin_header_container_bgimage']['repeat'] . ' ' . $unisphere_options['skin_header_container_bgimage']['attachment'] . ' ' . $unisphere_options['skin_header_container_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_container_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_header_container_bgcolor'] . ';' : '' ); ?> }
#header { <?php echo ( !empty( $unisphere_options['skin_header_height'] ) ? 'height: ' . $unisphere_options['skin_header_height'] . 'px;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_header_bgimage']['image']) . '\') ' . $unisphere_options['skin_header_bgimage']['repeat'] . ' ' . $unisphere_options['skin_header_bgimage']['attachment'] . ' ' . $unisphere_options['skin_header_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_header_bgcolor'] . ';' : '' ); ?> }

/* The logo  */
#logo { <?php echo ( isset( $unisphere_options['skin_logo_top_margin'] ) ? 'margin-top: ' . $unisphere_options['skin_logo_top_margin'] . 'px;' : '' ); ?> <?php echo ( isset( $unisphere_options['skin_logo_left_margin'] ) ? 'margin-left: ' . $unisphere_options['skin_logo_left_margin'] . 'px;' : '' ); ?> }

/* Header search */
#menu-bg .searchform input { <?php echo ( !empty( $unisphere_options['skin_header_search_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_header_search_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_search_font_color'] ) ? 'color: ' . $unisphere_options['skin_header_search_font_color'] . ';' : '' ); ?> }
#menu-bg .searchform input:focus { <?php echo ( !empty( $unisphere_options['skin_header_search_focus_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_header_search_focus_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_search_focus_font_color'] ) ? 'color: ' . $unisphere_options['skin_header_search_focus_font_color'] . ';' : '' ); ?> }

/* Header menu */
#full-menu-bg { <?php echo ( isset( $unisphere_options['skin_menu_bar_top_margin'] ) ? 'top: ' . ( intval($unisphere_options['skin_menu_bar_top_margin']) + intval($unisphere_options['skin_superior_header_bar_height'] == 'disabled' ? '0' : $unisphere_options['skin_superior_header_bar_height'] ) ) . 'px;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_menu_bar_container_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_header_menu_bar_container_bgimage']['image']) . '\') ' . $unisphere_options['skin_header_menu_bar_container_bgimage']['repeat'] . ' ' . $unisphere_options['skin_header_menu_bar_container_bgimage']['attachment'] . ' ' . $unisphere_options['skin_header_menu_bar_container_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_menu_bar_container_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_header_menu_bar_container_bgcolor'] . ';' : '' ); ?> }
#menu-bg { <?php echo ( isset( $unisphere_options['skin_menu_bar_top_margin'] ) ? 'top: ' . $unisphere_options['skin_menu_bar_top_margin'] . 'px;' : '' ); ?> <?php echo ( isset( $unisphere_options['skin_menu_bar_right_margin'] ) ? 'right: ' . $unisphere_options['skin_menu_bar_right_margin'] . 'px;' : '' ); ?> <?php echo ( isset( $unisphere_options['skin_menu_bar_width'] ) ? 'width: ' . $unisphere_options['skin_menu_bar_width'] .';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_menu_bar_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_header_menu_bar_bgimage']['image']) . '\') ' . $unisphere_options['skin_header_menu_bar_bgimage']['repeat'] . ' ' . $unisphere_options['skin_header_menu_bar_bgimage']['attachment'] . ' ' . $unisphere_options['skin_header_menu_bar_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_menu_bar_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_header_menu_bar_bgcolor'] . ';' : '' ); ?> }

.menu a { <?php echo ( !empty( $unisphere_options['skin_header_menu_font_color'] ) ? 'color: ' . $unisphere_options['skin_header_menu_font_color'] . ';' : '' ); ?> }
.menu > ul > li.current_page_item > a,
.menu > ul > li.current_page_parent > a,
.menu > ul > li.current_page_ancestor > a,
.menu > ul > li.current-menu-item > a,
.menu > ul > li.current-menu-ancestor > a { <?php echo ( !empty( $unisphere_options['skin_header_menu_selected_font_color'] ) ? 'color: ' . $unisphere_options['skin_header_menu_selected_font_color'] . ';' : '' ); ?> }

.menu > ul > li > a:hover,
.menu > ul > li:hover > a { <?php echo ( !empty( $unisphere_options['skin_header_menu_hover_font_color'] ) ? 'color: ' . $unisphere_options['skin_header_menu_hover_font_color'] . ';' : '' ); ?> }
.menu > ul > li:hover { <?php echo ( !empty( $unisphere_options['skin_header_menu_hover_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_header_menu_hover_bgcolor'] . ';' : '' ); ?> }

.nav ul { <?php echo ( !empty( $unisphere_options['skin_header_sub_menu_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_header_sub_menu_bgcolor'] . ';' : '' ); ?> }
.nav ul li a { <?php echo ( !empty( $unisphere_options['skin_header_sub_menu_font_color'] ) ? 'color: ' . $unisphere_options['skin_header_sub_menu_font_color'] . ';' : '' ); ?> }

.nav ul a:hover { <?php echo ( !empty( $unisphere_options['skin_header_sub_menu_hover_font_color'] ) ? 'color: ' . $unisphere_options['skin_header_sub_menu_hover_font_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_sub_menu_hover_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_header_sub_menu_hover_bgcolor'] . ';' : '' ); ?> }

<?php // Top navigation menu font
$font_size = ' font-size: ' . $unisphere_options['fonts_top_nav_menu_font']['size'] . ';';
$uppercase = ( isset( $unisphere_options['fonts_top_nav_menu_font']['uppercase']) && $unisphere_options['fonts_top_nav_menu_font']['uppercase'] == 'on' ? ' text-transform: uppercase;' : '');
$font_weight = ' font-weight: ' . str_replace( 'italic', '', $unisphere_options['fonts_top_nav_menu_font']['fontstyle'] ) . ';';
$italic = endsWith( $unisphere_options['fonts_top_nav_menu_font']['fontstyle'], 'italic' ) ? ' font-style: italic;' : '';
$parameters = $font_size . $uppercase . $font_weight . $italic;

// The font family
if( empty( $unisphere_options['fonts_top_nav_menu_font']['face'] ) || beginsWith( $unisphere_options['fonts_top_nav_menu_font']['face'], 'cufon' ) ) {
	// use default fallback font
	echo '#header .menu .nav > li > a { font-family: ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
} else {	
	if( beginsWith( $unisphere_options['fonts_top_nav_menu_font']['face'], 'google' ) ) {
		// it's a Google web font
		echo '#header .menu .nav > li > a { font-family: \'' . str_replace( '+', ' ', str_replace( 'google:', '', $unisphere_options['fonts_top_nav_menu_font']['face'] ) ) . '\', ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
	} else { 
		// it's a default font family stack
		echo '#header .menu .nav > li > a { font-family: ' . $unisphere_options['fonts_top_nav_menu_font']['face'] . ';' . $parameters . '}' . "\n";
	}
}	
?>

/* Sub-header Slider */
#slider-container { <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_container_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_sub_header_slider_container_bgimage']['image']) . '\') ' . $unisphere_options['skin_sub_header_slider_container_bgimage']['repeat'] . ' ' . $unisphere_options['skin_sub_header_slider_container_bgimage']['attachment'] . ' ' . $unisphere_options['skin_sub_header_slider_container_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_container_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_sub_header_slider_container_bgcolor'] . ';' : '' ); ?> }
#slider { <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_sub_header_slider_bgimage']['image']) . '\') ' . $unisphere_options['skin_sub_header_slider_bgimage']['repeat'] . ' ' . $unisphere_options['skin_sub_header_slider_bgimage']['attachment'] . ' ' . $unisphere_options['skin_sub_header_slider_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_sub_header_slider_bgcolor'] . ';' : '' ); ?> }

#slider-container.fullwidth #slider { <?php echo ( !empty( $unisphere_options['skin_sub_header_full_width_slider_container_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_sub_header_full_width_slider_container_bgimage']['image']) . '\') ' . $unisphere_options['skin_sub_header_full_width_slider_container_bgimage']['repeat'] . ' ' . $unisphere_options['skin_sub_header_full_width_slider_container_bgimage']['attachment'] . ' ' . $unisphere_options['skin_sub_header_full_width_slider_container_bgimage']['position'] . ';' : 'background-image: none!important;' ); ?> }
#slider-container.fullwidth { <?php echo ( !empty( $unisphere_options['skin_sub_header_full_width_slider_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_sub_header_full_width_slider_bgimage']['image']) . '\') ' . $unisphere_options['skin_sub_header_full_width_slider_bgimage']['repeat'] . ' ' . $unisphere_options['skin_sub_header_full_width_slider_bgimage']['attachment'] . ' ' . $unisphere_options['skin_sub_header_full_width_slider_bgimage']['position'] . ';' : 'background-image: none!important;' ); ?> }

#no-slider-items { <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_sub_header_slider_bgcolor'] . ';' : '' ); ?> }
#slider li .slider-description.dark,
#slider li .slider-description.dark h2,
#slider-container.fullwidth #slider li.with-description .slider-description.dark .description,
#slider-container.fullwidth #slider li.with-description .slider-description.dark h2 { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/dot_bg_black.png') repeat scroll left top!important; }
#slider li .slider-description.light,
#slider li .slider-description.light h2,
#slider-container.fullwidth #slider li.with-description .slider-description.light .description,
#slider-container.fullwidth #slider li.with-description .slider-description.light h2  { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/dot_bg_white.png') repeat scroll left top!important; }
#slider li .slider-description.solid,
#slider li .slider-description.solid h2,
#slider-container.fullwidth #slider li.with-description .slider-description.solid .description,
#slider-container.fullwidth #slider li.with-description .slider-description.solid h2  { <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_text_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_sub_header_slider_text_bgcolor'] . '!important;' : '' ); ?> }
#slider .slider-description .description { <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_description_text_color'] ) ? 'color: ' . $unisphere_options['skin_sub_header_slider_description_text_color'] . ';' : '' ); ?> }
#slider .slider-description .description a { <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_description_link_color'] ) ? 'color: ' . $unisphere_options['skin_sub_header_slider_description_link_color'] . ';' : '' ); ?> }
#slider .slider-description .description a:hover { <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_description_link_hover_color'] ) ? 'color: ' . $unisphere_options['skin_sub_header_slider_description_link_hover_color'] . ';' : '' ); ?> }
#slider .slider-description h2,
#slider-container.fullwidth #slider li.with-description .slider-description h2 { <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_title_text_color'] ) ? 'color: ' . $unisphere_options['skin_sub_header_slider_title_text_color'] . ';' : '' ); ?> }
#slider .slider-description h2 { <?php echo ( !empty( $unisphere_options['fonts_show_slider_title_uppercase'] ) ? 'text-transform: uppercase;' : ''); ?> }
#slider-container #slider-prev { background: <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_navigation_buttons_bgcolor'] ) ? $unisphere_options['skin_sub_header_slider_navigation_buttons_bgcolor'] : 'transparent' ); ?> url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/slider_prev_<?php echo ( !empty( $unisphere_options['skin_sub_header_slider_navigation_buttons_arrow_color'] ) ? $unisphere_options['skin_sub_header_slider_navigation_buttons_arrow_color'] : 'black' ); ?>.png') no-repeat scroll 13px 8px; }
#slider-container #slider-next { background: <?php echo ( !empty( $unisphere_options['skin_sub_header_slider_navigation_buttons_bgcolor'] ) ? $unisphere_options['skin_sub_header_slider_navigation_buttons_bgcolor'] : 'transparent' ); ?> url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/slider_next_<?php echo ( !empty( $unisphere_options['skin_sub_header_slider_navigation_buttons_arrow_color'] ) ? $unisphere_options['skin_sub_header_slider_navigation_buttons_arrow_color'] : 'black' ); ?>.png') no-repeat scroll 14px 8px; }
/* Sub-header slider height */
#slider-container, #slider, #slider li .slider-video { <?php echo ( !empty( $unisphere_options['skin_header_slider_height'] ) ? 'height: ' . $unisphere_options['skin_header_slider_height'] . 'px;' : 'height: 400px;' ); ?> }
#slider li { <?php echo ( !empty( $unisphere_options['skin_header_slider_height'] ) ? 'height: ' . $unisphere_options['skin_header_slider_height'] . 'px!important;' : 'height: 400px!important;' ); ?> }
#no-slider-items, #slider li.with-description .slider-description { <?php echo ( !empty( $unisphere_options['skin_header_slider_height'] ) ? 'height: ' . ( intval($unisphere_options['skin_header_slider_height']) - 60 ) . 'px;' : 'height: ' . (400-60) . 'px' ); ?> }
/* Sub-header slider width */
#slider, #no-slider-items, #slider li.no-description .slider-video { <?php echo ( !empty( $unisphere_options['skin_header_slider_width'] ) ? 'width: ' . $unisphere_options['skin_header_slider_width'] . 'px;' : 'width: 1020px;' ); ?> }
#slider li { <?php echo ( !empty( $unisphere_options['skin_header_slider_width'] ) ? 'width: ' . $unisphere_options['skin_header_slider_width'] . 'px!important;' : 'width: 1020px!important;' ); ?> }
#slider li.with-description .slider-description { <?php echo ( !empty( $unisphere_options['skin_header_slider_width'] ) && $unisphere_options['skin_header_slider_width'] == '960' ? 'width: 190px;' : 'width: 250px;' ); ?> }
/* Sub-header full width slider height */
#slider-container.fullwidth,
#slider-container.fullwidth #slider,
#slider-container.fullwidth #slider li,
#slider-container.fullwidth #slider .slider-video,
#slider-container.fullwidth #slider li .slider-description { <?php echo ( !empty( $unisphere_options['skin_header_full_width_slider_height'] ) ? 'height: ' . $unisphere_options['skin_header_full_width_slider_height'] . 'px;' : 'height: 574px;' ); ?> }
/* Sub-header full width slider video width */
#slider-container.fullwidth #slider .slider-video { <?php echo ( !empty( $unisphere_options['skin_header_full_width_slider_video_width'] ) ? 'width: ' . $unisphere_options['skin_header_full_width_slider_video_width'] . 'px;' : 'width: 1020px;' ); ?> }
/* Sub-header full width slider top margin */
#slider-container.fullwidth #slider { <?php echo ( isset( $unisphere_options['skin_header_full_width_slider_top_margin'] ) ? 'margin-top: ' . $unisphere_options['skin_header_full_width_slider_top_margin'] . 'px;' : '' ); ?> }

/* Sub-header */
#sub-header-container { <?php echo ( isset( $unisphere_options['skin_header_bar_height'] ) ? 'height: ' . $unisphere_options['skin_header_bar_height'] . 'px;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_sub_header_bar_container_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_sub_header_bar_container_bgimage']['image']) . '\') ' . $unisphere_options['skin_sub_header_bar_container_bgimage']['repeat'] . ' ' . $unisphere_options['skin_sub_header_bar_container_bgimage']['attachment'] . ' ' . $unisphere_options['skin_sub_header_bar_container_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_sub_header_bar_container_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_sub_header_bar_container_bgcolor'] . ';' : '' ); ?> }
#sub-header-container.no-description { <?php echo ( isset( $unisphere_options['skin_header_bar_height_no_description'] ) ? 'height: ' . $unisphere_options['skin_header_bar_height_no_description'] . 'px;' : '' ); ?> }
#sub-header { <?php echo ( !empty( $unisphere_options['skin_header_bar_width'] ) ? 'width: ' . $unisphere_options['skin_header_bar_width'] . 'px;' : '' ); ?> }
#sub-header.dark, #sub-header h1.dark, #sub-header small.dark { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/dot_bg_black.png') repeat scroll left top; }
#sub-header.light, #sub-header h1.light, #sub-header small.light { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/dot_bg_white.png') repeat scroll left top; }
#sub-header h1 { <?php echo ( isset( $unisphere_options['skin_header_bar_title_top_margin'] ) ? 'top: ' . $unisphere_options['skin_header_bar_title_top_margin'] . 'px;' : '' ); ?> <?php echo ( isset( $unisphere_options['skin_header_bar_title_left_margin_with_bg'] ) ? 'left: ' . $unisphere_options['skin_header_bar_title_left_margin_with_bg'] . 'px;' : '' ); ?> }
#sub-header-container.no-description #sub-header h1 { <?php echo ( isset( $unisphere_options['skin_header_bar_title_top_margin_no_description'] ) ? 'top: ' . $unisphere_options['skin_header_bar_title_top_margin_no_description'] . 'px;' : '' ); ?> }
#sub-header.transparent h1 { <?php echo ( isset( $unisphere_options['skin_header_bar_title_left_margin_without_bg'] ) ? 'left: ' . $unisphere_options['skin_header_bar_title_left_margin_without_bg'] . 'px;' : '' ); ?> }
#sub-header small { <?php echo ( isset( $unisphere_options['skin_header_bar_description_top_margin'] ) ? 'top: ' . $unisphere_options['skin_header_bar_description_top_margin'] . 'px;' : '' ); ?> <?php echo ( isset( $unisphere_options['skin_header_bar_description_left_margin_with_bg'] ) ? 'left: ' . $unisphere_options['skin_header_bar_description_left_margin_with_bg'] . 'px;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_bar_description_uppercase'] ) ? 'text-transform: uppercase;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_bar_description_bold'] ) ? 'font-weight: bold;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_bar_description_font_size'] ) ? 'font-size: ' . $unisphere_options['skin_header_bar_description_font_size'] . 'px;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_header_bar_description_line_height'] ) ? 'line-height: ' . $unisphere_options['skin_header_bar_description_line_height'] . 'px;' : '' ); ?> }
#sub-header.transparent small { <?php echo ( isset( $unisphere_options['skin_header_bar_description_left_margin_without_bg'] ) ? 'left: ' . $unisphere_options['skin_header_bar_description_left_margin_without_bg'] . 'px;' : '' ); ?> }
<?php // Sub-header bar title font
$font_size = ' font-size: ' . $unisphere_options['fonts_sub_header_bar_title_font']['size'] . ';';
$line_height = ' line-height: ' . $unisphere_options['fonts_sub_header_bar_title_font']['lineheight'] . ';';
$uppercase = ( isset( $unisphere_options['fonts_sub_header_bar_title_font']['uppercase']) && $unisphere_options['fonts_sub_header_bar_title_font']['uppercase'] == 'on' ? ' text-transform: uppercase;' : '');
$font_weight = ' font-weight: ' . str_replace( 'italic', '', $unisphere_options['fonts_sub_header_bar_title_font']['fontstyle'] ) . ';';
$italic = endsWith( $unisphere_options['fonts_sub_header_bar_title_font']['fontstyle'], 'italic' ) ? ' font-style: italic;' : '';
$parameters = $font_size . $line_height . $uppercase . $font_weight . $italic;

// The font family
if( empty( $unisphere_options['fonts_sub_header_bar_title_font']['face'] ) || beginsWith( $unisphere_options['fonts_sub_header_bar_title_font']['face'], 'cufon' ) ) {
	// use default fallback font
	echo '#sub-header h1 { font-family: ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
} else {	
	if( beginsWith( $unisphere_options['fonts_sub_header_bar_title_font']['face'], 'google' ) ) {
		// it's a Google web font
		echo '#sub-header h1 { font-family: \'' . str_replace( '+', ' ', str_replace( 'google:', '', $unisphere_options['fonts_sub_header_bar_title_font']['face'] ) ) . '\', ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
	} else { 
		// it's a default font family stack
		echo '#sub-header h1 { font-family: ' . $unisphere_options['fonts_sub_header_bar_title_font']['face'] . ';' . $parameters . '}' . "\n";
	}
}	
?>
<?php // Sub-header bar description font
$font_size = ' font-size: ' . $unisphere_options['fonts_sub_header_bar_description_font']['size'] . ';';
$line_height = ' line-height: ' . $unisphere_options['fonts_sub_header_bar_description_font']['lineheight'] . ';';
$uppercase = ( isset( $unisphere_options['fonts_sub_header_bar_description_font']['uppercase']) && $unisphere_options['fonts_sub_header_bar_description_font']['uppercase'] == 'on' ? ' text-transform: uppercase;' : '');
$font_weight = ' font-weight: ' . str_replace( 'italic', '', $unisphere_options['fonts_sub_header_bar_description_font']['fontstyle'] ) . ';';
$italic = endsWith( $unisphere_options['fonts_sub_header_bar_description_font']['fontstyle'], 'italic' ) ? ' font-style: italic;' : '';
$parameters = $font_size . $line_height . $uppercase . $font_weight . $italic;

// The font family
if( empty( $unisphere_options['fonts_sub_header_bar_description_font']['face'] ) || beginsWith( $unisphere_options['fonts_sub_header_bar_description_font']['face'], 'cufon' ) ) {
	// use default fallback font
	echo '#sub-header small { font-family: ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
} else {	
	if( beginsWith( $unisphere_options['fonts_sub_header_bar_description_font']['face'], 'google' ) ) {
		// it's a Google web font
		echo '#sub-header small { font-family: \'' . str_replace( '+', ' ', str_replace( 'google:', '', $unisphere_options['fonts_sub_header_bar_description_font']['face'] ) ) . '\', ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
	} else { 
		// it's a default font family stack
		echo '#sub-header small { font-family: ' . $unisphere_options['fonts_sub_header_bar_description_font']['face'] . ';' . $parameters . '}' . "\n";
	}
}	
?>

/* Content */
#content-container { <?php echo ( !empty( $unisphere_options['skin_main_area_container_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_main_area_container_bgimage']['image']) . '\') ' . $unisphere_options['skin_main_area_container_bgimage']['repeat'] . ' ' . $unisphere_options['skin_main_area_container_bgimage']['attachment'] . ' ' . $unisphere_options['skin_main_area_container_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_main_area_container_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_main_area_container_bgcolor'] . ';' : '' ); ?> }
#content { <?php echo ( !empty( $unisphere_options['skin_main_area_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_main_area_bgimage']['image']) . '\') ' . $unisphere_options['skin_main_area_bgimage']['repeat'] . ' ' . $unisphere_options['skin_main_area_bgimage']['attachment'] . ' ' . $unisphere_options['skin_main_area_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_main_area_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_main_area_bgcolor'] . ';' : '' ); ?> }

/* Blog (shared styles) */
.post-meta { <?php echo ( !empty( $unisphere_options['fonts_show_posts_meta_uppercase'] ) ? 'text-transform: uppercase;' : ''); ?> }
.post-title, 
.post-title a { <?php echo ( !empty( $unisphere_options['skin_blog_post_title_text_color'] ) ? 'color: ' . $unisphere_options['skin_blog_post_title_text_color'] . ';' : '' ); ?> }
.post-title a:hover { <?php echo ( !empty( $unisphere_options['skin_link_hover_color'] ) ? 'color: ' . $unisphere_options['skin_link_hover_color'] . ';' : '' ); ?> }
.published-time { <?php echo ( !empty( $unisphere_options['skin_link_color'] ) ? 'color: ' . $unisphere_options['skin_link_color'] . ';' : '' ); ?> }
.read-more-icon { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/plus_icon_<?php echo ( !empty( $unisphere_options['skin_blog_post_bottom_right_button_icon_color'] ) ? $unisphere_options['skin_blog_post_bottom_right_button_icon_color'] : 'white' ); ?>.png') no-repeat scroll 26px 26px; }
.read-more-icon:hover { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/plus_icon_<?php echo ( !empty( $unisphere_options['skin_blog_post_bottom_right_button_hover_icon_color'] ) ? $unisphere_options['skin_blog_post_bottom_right_button_hover_icon_color'] : 'black' ); ?>.png') no-repeat scroll 26px 26px; }
.post-image .triangle { border-left: 42px solid transparent; border-right: 42px solid transparent; border-bottom: 42px solid <?php echo ( !empty( $unisphere_options['skin_blog_post_bottom_right_button_bgcolor'] ) ? $unisphere_options['skin_blog_post_bottom_right_button_bgcolor'] : 'transparent' ); ?>; border-top: 0; }
.post-image .triangle:hover { border-bottom-color: <?php echo ( !empty( $unisphere_options['skin_blog_post_bottom_right_button_hover_bgcolor'] ) ? $unisphere_options['skin_blog_post_bottom_right_button_hover_bgcolor'] : 'transparent' ); ?>; }
.permalink-icon { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/plus_icon_<?php echo ( !empty( $unisphere_options['skin_blog_post_permalink_icon_color'] ) ? $unisphere_options['skin_blog_post_permalink_icon_color'] : 'black' ); ?>.png') no-repeat scroll left bottom; }
<?php // Status, Quote and Link post formats background, text and link colors
if( isset( $unisphere_options['skin_blog_post_status_quote_link_post_formats_bg_select'] ) ) {
	switch( $unisphere_options['skin_blog_post_status_quote_link_post_formats_bg_select'] ) {
		case 'dark':
			echo '.format-status .post-text, .format-quote blockquote, .format-link .post-text { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_black.png\') repeat scroll left top; }';
			break;
		case 'light':
			echo '.format-status .post-text, .format-quote blockquote, .format-link .post-text { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_white.png\') repeat scroll left top; }';
			break;
		case 'solid':
			echo '.format-status .post-text, .format-quote blockquote, .format-link .post-text { ' . ( !empty( $unisphere_options['skin_blog_post_status_quote_link_post_formats_bgcolor'] ) ? ' background-color: ' . $unisphere_options['skin_blog_post_status_quote_link_post_formats_bgcolor'] . ';' : '' ) . ' }';
			break;
	}
} ?>

/* Status Post Format */
.format-status .post-text,
.format-status .post-text a,
.format-status .post-text a:hover { <?php echo ( !empty( $unisphere_options['skin_blog_post_status_quote_link_post_formats_text_color'] ) ? 'color: ' . $unisphere_options['skin_blog_post_status_quote_link_post_formats_text_color'] . ';' : '' ); ?> }
.format-status .status-icon { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/status_icon_<?php echo ( !empty( $unisphere_options['skin_blog_post_status_quote_link_post_formats_icon_color'] ) ? $unisphere_options['skin_blog_post_status_quote_link_post_formats_icon_color'] : 'black' ); ?>.png') no-repeat scroll left top; }
/* Quote Post Format */
.format-quote blockquote,
.format-quote blockquote a,
.format-quote blockquote a:hover { <?php echo ( !empty( $unisphere_options['skin_blog_post_status_quote_link_post_formats_text_color'] ) ? 'color: ' . $unisphere_options['skin_blog_post_status_quote_link_post_formats_text_color'] . ';' : '' ); ?> }
.format-quote .quote-icon { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/quote_icon_<?php echo ( !empty( $unisphere_options['skin_blog_post_status_quote_link_post_formats_icon_color'] ) ? $unisphere_options['skin_blog_post_status_quote_link_post_formats_icon_color'] : 'black' ); ?>.png') no-repeat scroll left top; }
/* Link Post Format */
.format-link .post-text,
.format-link .post-text a,
.format-link .post-text a:hover { <?php echo ( !empty( $unisphere_options['skin_blog_post_status_quote_link_post_formats_text_color'] ) ? 'color: ' . $unisphere_options['skin_blog_post_status_quote_link_post_formats_text_color'] . ';' : '' ); ?> }
.format-link .link-icon { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/link_icon_<?php echo ( !empty( $unisphere_options['skin_blog_post_status_quote_link_post_formats_icon_color'] ) ? $unisphere_options['skin_blog_post_status_quote_link_post_formats_icon_color'] : 'black' ); ?>.png') no-repeat scroll left top; }

/* Blog */
.blog .post, .blog .page, .blog .portfolio_cpt { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Blog (Alternate style) */
<?php // Alternate blog post standard post title background
if( isset( $unisphere_options['skin_blog_post_title_bg_select'] ) ) {
	switch( $unisphere_options['skin_blog_post_title_bg_select'] ) {
		case 'dark':
			echo '.blog-alternate .format-standard .post-title, .blog-alternate .portfolio_cpt .post-title { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_black.png\') repeat scroll left top; }';
			break;
		case 'light':
			echo '.blog-alternate .format-standard .post-title, .blog-alternate .portfolio_cpt .post-title { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_white.png\') repeat scroll left top; }';
			break;
		case 'solid':
			echo '.blog-alternate .format-standard .post-title, .blog-alternate .portfolio_cpt .post-title { ' . ( !empty( $unisphere_options['skin_blog_post_title_bgcolor'] ) ? ' background-color: ' . $unisphere_options['skin_blog_post_title_bgcolor'] . ';' : '' ) . ' }';
			break;
	}
} ?>
.blog-alternate .post-right-wrapper { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Blog (Masonry) */
.blog-masonry .post, .blog-masonry .page, .blog-masonry .portfolio_cpt { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Blog detail page */
.blog-detail .post-right-wrapper, .blog-detail .related-posts ul, #author-info-wrapper #author-info { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Comments */
.comment-list > li.comment,
.comment-list .children > li { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-top: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }
.bypostauthor > .single-comment .avatar { <?php echo ( !empty( $unisphere_options['skin_link_color'] ) ? '-moz-box-shadow: 0 0 5px 2px ' . $unisphere_options['skin_link_color'] . '; -webkit-box-shadow: 0 0 5px 2px' . $unisphere_options['skin_link_color'] . '; box-shadow: 0 0 5px 2px' . $unisphere_options['skin_link_color'] . ';' : '' ); ?> }
.msie-7 .bypostauthor > .single-comment .avatar,
.msie-8 .bypostauthor > .single-comment .avatar { <?php echo ( !empty( $unisphere_options['skin_link_color'] ) ? 'border: 2px solid ' . $unisphere_options['skin_link_color'] . ';' : '' ); ?> }

/* Comment Reply */
.comment-list + #respond { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-top: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Contact Page */
.sending-message { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/loader.gif') no-repeat left top; }

/* Portfolio */
<?php // Portfolio "Browse" background and text color
if( isset( $unisphere_options['skin_sidebar_widgets_title_bg_select'] ) ) {
	switch( $unisphere_options['skin_sidebar_widgets_title_bg_select'] ) {
		case 'dark':
			echo '.portfolio-browse { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_black.png\') repeat scroll left top;' . ( !empty( $unisphere_options['skin_sidebar_widgets_title_text_color'] ) ? ' color: ' . $unisphere_options['skin_sidebar_widgets_title_text_color'] . ';' : '' ) . ' }';
			break;
		case 'light':
			echo '.portfolio-browse { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_white.png\') repeat scroll left top;' . ( !empty( $unisphere_options['skin_sidebar_widgets_title_text_color'] ) ? ' color: ' . $unisphere_options['skin_sidebar_widgets_title_text_color'] . ';' : '' ) . ' }';
			break;
		case 'solid':
			echo '.portfolio-browse { ' . ( !empty( $unisphere_options['skin_sidebar_widgets_title_bgcolor'] ) ? ' background-color: ' . $unisphere_options['skin_sidebar_widgets_title_bgcolor'] . ';' : '' ) . ( !empty( $unisphere_options['skin_sidebar_widgets_title_text_color'] ) ? ' color: ' . $unisphere_options['skin_sidebar_widgets_title_text_color'] . ';' : '' ) . ' }';
			break;
	}
} ?>
.portfolio-filters li a { <?php echo ( !empty( $unisphere_options['skin_body_text_color'] ) ? 'color: ' . $unisphere_options['skin_body_text_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['fonts_show_sortable_portfolio_categories_uppercase'] ) ? 'text-transform: uppercase;' : ''); ?> }
.portfolio-filters li a.active,
.portfolio-filters li a:hover { <?php echo ( !empty( $unisphere_options['skin_link_color'] ) ? 'color: ' . $unisphere_options['skin_link_color'] . ';' : '' ); ?> }
.portfolio-item img { background: url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/loader.gif') no-repeat 50% 50%; }
<?php // Portfolio listings overlay/title background
if( isset( $unisphere_options['skin_portfolio_listings_overlay_title_bg_select'] ) ) {
	switch( $unisphere_options['skin_portfolio_listings_overlay_title_bg_select'] ) {
		case 'dark':
			echo '.portfolio-item .portfolio-info { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_black.png\') repeat scroll left top;' . ( !empty( $unisphere_options['skin_sidebar_widgets_title_text_color'] ) ? ' color: ' . $unisphere_options['skin_sidebar_widgets_title_text_color'] . ';' : '' ) . ' }';
			break;
		case 'light':
			echo '.portfolio-item .portfolio-info { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_white.png\') repeat scroll left top;' . ( !empty( $unisphere_options['skin_sidebar_widgets_title_text_color'] ) ? ' color: ' . $unisphere_options['skin_sidebar_widgets_title_text_color'] . ';' : '' ) . ' }';
			break;
		case 'solid':
			echo '.portfolio-item .portfolio-info { ' . ( !empty( $unisphere_options['skin_portfolio_listings_overlay_title_bgcolor'] ) ? ' background-color: ' . $unisphere_options['skin_portfolio_listings_overlay_title_bgcolor'] . ';' : '' ) . ' }';
			break;
	}
} ?>
.portfolio-item .portfolio-title { <?php echo ( !empty( $unisphere_options['skin_portfolio_listings_title_text_color'] ) ? 'color: ' . $unisphere_options['skin_portfolio_listings_title_text_color'] . ';' : '' ); ?> }
.portfolio-item .portfolio-excerpt { <?php echo ( !empty( $unisphere_options['skin_portfolio_listings_description_text_color'] ) ? 'color: ' . $unisphere_options['skin_portfolio_listings_description_text_color'] . ';' : '' ); ?> }
.portfolio-item .read-more-icon { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/plus_icon_<?php echo ( !empty( $unisphere_options['skin_portfolio_listings_bottom_right_button_icon_color'] ) ? $unisphere_options['skin_portfolio_listings_bottom_right_button_icon_color'] : 'white' ); ?>.png') no-repeat scroll 26px 26px; }
.portfolio-item .lightbox-expand-icon { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/lightbox_icon_<?php echo ( !empty( $unisphere_options['skin_portfolio_listings_bottom_right_button_icon_color'] ) ? $unisphere_options['skin_portfolio_listings_bottom_right_button_icon_color'] : 'white' ); ?>.png') no-repeat scroll 25px 25px; }
.portfolio-item .read-more-icon:hover { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/plus_icon_<?php echo ( !empty( $unisphere_options['skin_portfolio_listings_bottom_right_button_hover_icon_color'] ) ? $unisphere_options['skin_portfolio_listings_bottom_right_button_hover_icon_color'] : 'black' ); ?>.png') no-repeat scroll 26px 26px; }
.portfolio-item .lightbox-expand-icon:hover { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/lightbox_icon_<?php echo ( !empty( $unisphere_options['skin_portfolio_listings_bottom_right_button_hover_icon_color'] ) ? $unisphere_options['skin_portfolio_listings_bottom_right_button_hover_icon_color'] : 'black' ); ?>.png') no-repeat scroll 25px 25px; }
.portfolio-item .triangle { border-left: 42px solid transparent; border-right: 42px solid transparent; border-bottom: 42px solid <?php echo ( !empty( $unisphere_options['skin_portfolio_listings_bottom_right_button_bgcolor'] ) ? $unisphere_options['skin_portfolio_listings_bottom_right_button_bgcolor'] : 'transparent' ); ?>; border-top: 0; }
.portfolio-item .triangle:hover { border-bottom-color: <?php echo ( !empty( $unisphere_options['skin_portfolio_listings_bottom_right_button_hover_bgcolor'] ) ? $unisphere_options['skin_portfolio_listings_bottom_right_button_hover_bgcolor'] : 'transparent' ); ?>; }
<?php // Titles font in portfolio templates with hover effect
$uppercase = ( isset( $unisphere_options['fonts_portfolio_title_with_hover_effect_font']['uppercase']) && $unisphere_options['fonts_portfolio_title_with_hover_effect_font']['uppercase'] == 'on' ? ' text-transform: uppercase;' : '');
$font_weight = ' font-weight: ' . str_replace( 'italic', '', $unisphere_options['fonts_portfolio_title_with_hover_effect_font']['fontstyle'] ) . ';';
$italic = endsWith( $unisphere_options['fonts_portfolio_title_with_hover_effect_font']['fontstyle'], 'italic' ) ? ' font-style: italic;' : '';
$parameters = $uppercase . $font_weight . $italic;

// The font family
if( empty( $unisphere_options['fonts_portfolio_title_with_hover_effect_font']['face'] ) || beginsWith( $unisphere_options['fonts_portfolio_title_with_hover_effect_font']['face'], 'cufon' ) ) {
	// use default fallback font
	echo '.portfolio-hover-effect .portfolio-title { font-family: ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
} else {	
	if( beginsWith( $unisphere_options['fonts_portfolio_title_with_hover_effect_font']['face'], 'google' ) ) {
		// it's a Google web font
		echo '.portfolio-hover-effect .portfolio-title { font-family: \'' . str_replace( '+', ' ', str_replace( 'google:', '', $unisphere_options['fonts_portfolio_title_with_hover_effect_font']['face'] ) ) . '\', ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
	} else { 
		// it's a default font family stack
		echo '.portfolio-hover-effect .portfolio-title { font-family: ' . $unisphere_options['fonts_portfolio_title_with_hover_effect_font']['face'] . ';' . $parameters . '}' . "\n";
	}
}	

// Titles font in portfolio templates with description and 1 column portfolio templates
$uppercase = ( isset( $unisphere_options['fonts_portfolio_title_with_description_font']['uppercase']) && $unisphere_options['fonts_portfolio_title_with_description_font']['uppercase'] == 'on' ? ' text-transform: uppercase;' : '');
$font_weight = ' font-weight: ' . str_replace( 'italic', '', $unisphere_options['fonts_portfolio_title_with_description_font']['fontstyle'] ) . ';';
$italic = endsWith( $unisphere_options['fonts_portfolio_title_with_description_font']['fontstyle'], 'italic' ) ? ' font-style: italic;' : '';
$parameters = $uppercase . $font_weight . $italic;

// The font family
if( empty( $unisphere_options['fonts_portfolio_title_with_description_font']['face'] ) || beginsWith( $unisphere_options['fonts_portfolio_title_with_description_font']['face'], 'cufon' ) ) {
	// use default fallback font
	echo '.portfolio-1-column-list .portfolio-title, .portfolio-1-column-list-with-sidebar .portfolio-title, .portfolio-2-columns-list-with-description .portfolio-title, .portfolio-2-columns-list-with-sidebar-description .portfolio-title, .portfolio-3-columns-list-with-description .portfolio-title, .portfolio-3-columns-list-with-sidebar-description .portfolio-title, .portfolio-4-columns-list-with-description .portfolio-title { font-family: ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
} else {	
	if( beginsWith( $unisphere_options['fonts_portfolio_title_with_description_font']['face'], 'google' ) ) {
		// it's a Google web font
		echo '.portfolio-1-column-list .portfolio-title, .portfolio-1-column-list-with-sidebar .portfolio-title, .portfolio-2-columns-list-with-description .portfolio-title, .portfolio-2-columns-list-with-sidebar-description .portfolio-title, .portfolio-3-columns-list-with-description .portfolio-title, .portfolio-3-columns-list-with-sidebar-description .portfolio-title, .portfolio-4-columns-list-with-description .portfolio-title { font-family: \'' . str_replace( '+', ' ', str_replace( 'google:', '', $unisphere_options['fonts_portfolio_title_with_description_font']['face'] ) ) . '\', ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
	} else { 
		// it's a default font family stack
		echo '.portfolio-1-column-list .portfolio-title, .portfolio-1-column-list-with-sidebar .portfolio-title, .portfolio-2-columns-list-with-description .portfolio-title, .portfolio-2-columns-list-with-sidebar-description .portfolio-title, .portfolio-3-columns-list-with-description .portfolio-title, .portfolio-3-columns-list-with-sidebar-description .portfolio-title, .portfolio-4-columns-list-with-description .portfolio-title { font-family: ' . $unisphere_options['fonts_portfolio_title_with_description_font']['face'] . ';' . $parameters . '}' . "\n";
	}
}	
?>


/* Portfolio detail page */
.portfolio-detail .post-right-wrapper { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Widgets */
<?php // Widget titles font
$font_size = ' font-size: ' . $unisphere_options['fonts_widget_titles_font']['size'] . ';';
$line_height = ' line-height: ' . $unisphere_options['fonts_widget_titles_font']['lineheight'] . ';';
$uppercase = ( isset( $unisphere_options['fonts_widget_titles_font']['uppercase']) && $unisphere_options['fonts_widget_titles_font']['uppercase'] == 'on' ? ' text-transform: uppercase;' : '');
$font_weight = ' font-weight: ' . str_replace( 'italic', '', $unisphere_options['fonts_widget_titles_font']['fontstyle'] ) . ';';
$italic = endsWith( $unisphere_options['fonts_widget_titles_font']['fontstyle'], 'italic' ) ? ' font-style: italic;' : '';
$parameters = $font_size . $line_height . $uppercase . $font_weight . $italic;

// The font family
if( empty( $unisphere_options['fonts_widget_titles_font']['face'] ) || beginsWith( $unisphere_options['fonts_widget_titles_font']['face'], 'cufon' ) ) {
	// use default fallback font
	echo '.widget > h3, .portfolio-browse { font-family: ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
} else {	
	if( beginsWith( $unisphere_options['fonts_widget_titles_font']['face'], 'google' ) ) {
		// it's a Google web font
		echo '.widget > h3, .portfolio-browse { font-family: \'' . str_replace( '+', ' ', str_replace( 'google:', '', $unisphere_options['fonts_widget_titles_font']['face'] ) ) . '\', ' . $unisphere_options['fonts_fallback_font_family']['face'] . ';' . $parameters . '}' . "\n";
	} else { 
		// it's a default font family stack
		echo '.widget > h3, .portfolio-browse { font-family: ' . $unisphere_options['fonts_widget_titles_font']['face'] . ';' . $parameters . '}' . "\n";
	}
}	
?>
<?php // Sidebar Widgets
if( isset( $unisphere_options['skin_sidebar_widgets_title_bg_select'] ) ) {
	switch( $unisphere_options['skin_sidebar_widgets_title_bg_select'] ) {
		case 'dark':
			echo '#secondary .widget h3 { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_black.png\') repeat scroll left top; }';
			break;
		case 'light':
			echo '#secondary .widget h3 { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_white.png\') repeat scroll left top; }';
			break;
		case 'solid':
			echo '#secondary .widget h3 { ' . ( !empty( $unisphere_options['skin_sidebar_widgets_title_bgcolor'] ) ? ' background-color: ' . $unisphere_options['skin_sidebar_widgets_title_bgcolor'] . ';' : '' ) . ' }';
			break;
		case 'transparent':
			echo '#secondary .widget h3 { padding: 0; }';
			echo '.portfolio-browse { padding-left: 0; }';
			echo '#secondary .widget h3 .triangle, .portfolio-browse .triangle { display: none; }';
			break;
	}
} ?>
#secondary .widget h3 { <?php echo ( !empty( $unisphere_options['skin_sidebar_widgets_title_text_color'] ) ? ' color: ' . $unisphere_options['skin_sidebar_widgets_title_text_color'] . ';' : '' ); ?> }
#secondary .widget ul li ul, ul.separator li ul { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-top: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }
#secondary .widget li, ul.separator li { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Custom Menu Widget */
#secondary .widget .menu a { <?php echo ( !empty( $unisphere_options['skin_link_color'] ) ? 'color: ' . $unisphere_options['skin_link_color'] . ';' : '' ); ?> }
#secondary .widget-sub-pages li.current_page_item > a,
#secondary .widget_pages li.current_page_item > a,
#secondary .widget .menu a:hover,
#secondary .widget .menu li.current-menu-item > a { <?php echo ( !empty( $unisphere_options['skin_link_hover_color'] ) ? 'color: ' . $unisphere_options['skin_link_hover_color'] . ';' : '' ); ?> }

/* Twitter Widget */
#secondary .widget-twitter li, .widget-twitter-off-sidebar li { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }
#footer-widgets .widget-twitter li { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Calendar Widget */
.widget_calendar table { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border: 1px solid ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }
.widget_calendar table th + th, 
.widget_calendar table td + td, 
.widget_calendar table th + td { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-left: 1px solid ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }
.widget_calendar table td { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-top: 1px solid ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Footer Widgets */
#footer-widgets-container { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_container_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_footer_widgets_area_container_bgimage']['image']) . '\') ' . $unisphere_options['skin_footer_widgets_area_container_bgimage']['repeat'] . ' ' . $unisphere_options['skin_footer_widgets_area_container_bgimage']['attachment'] . ' ' . $unisphere_options['skin_footer_widgets_area_container_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_container_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_footer_widgets_area_container_bgcolor'] . ';' : '' ); ?> }
#footer-widgets { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_content_text_color'] ) ? 'color: ' . $unisphere_options['skin_footer_widgets_content_text_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_footer_widgets_area_bgimage']['image']) . '\') ' . $unisphere_options['skin_footer_widgets_area_bgimage']['repeat'] . ' ' . $unisphere_options['skin_footer_widgets_area_bgimage']['attachment'] . ' ' . $unisphere_options['skin_footer_widgets_area_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_footer_widgets_area_bgcolor'] . ';' : '' ); ?> }
#footer-widgets a { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_content_links_color'] ) ? 'color: ' . $unisphere_options['skin_footer_widgets_content_links_color'] . ';' : '' ); ?> }
#footer-widgets a:hover { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_content_links_hover_color'] ) ? 'color: ' . $unisphere_options['skin_footer_widgets_content_links_hover_color'] . ';' : '' ); ?> }
<?php // Display the bottom separator only if the footer widgets area and footer area are the same color and neither have a background image
if( empty( $unisphere_options['skin_footer_widgets_area_bgimage']['image'] ) && empty( $unisphere_options['skin_footer_area_bgimage']['image'] ) && isset( $unisphere_options['skin_footer_widgets_area_bgcolor'] ) && isset( $unisphere_options['skin_footer_area_bgcolor'] ) && $unisphere_options['skin_footer_widgets_area_bgcolor'] == $unisphere_options['skin_footer_area_bgcolor'] ) {
	echo '#footer-widgets-bottom-separator { ' . ( !empty( $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] . ';' : '' ) . '}';
} else {
	echo '#footer-widgets-bottom-separator { border-bottom: 0; }';
} ?>

/* Footer */
#footer-container { <?php echo ( !empty( $unisphere_options['skin_footer_area_container_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_footer_area_container_bgimage']['image']) . '\') ' . $unisphere_options['skin_footer_area_container_bgimage']['repeat'] . ' ' . $unisphere_options['skin_footer_area_container_bgimage']['attachment'] . ' ' . $unisphere_options['skin_footer_area_container_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_footer_area_container_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_footer_area_container_bgcolor'] . ';' : '' ); ?> }
#footer { <?php echo ( !empty( $unisphere_options['skin_footer_content_text_color'] ) ? 'color: ' . $unisphere_options['skin_footer_content_text_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_footer_area_bgimage']['image'] ) ? 'background: url(\'' . basename($unisphere_options['skin_footer_area_bgimage']['image']) . '\') ' . $unisphere_options['skin_footer_area_bgimage']['repeat'] . ' ' . $unisphere_options['skin_footer_area_bgimage']['attachment'] . ' ' . $unisphere_options['skin_footer_area_bgimage']['position'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_footer_area_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_footer_area_bgcolor'] . ';' : '' ); ?> }
#footer a { <?php echo ( !empty( $unisphere_options['skin_footer_content_links_color'] ) ? 'color: ' . $unisphere_options['skin_footer_content_links_color'] . ';' : '' ); ?> }

<?php // Footer Widgets
if( isset( $unisphere_options['skin_footer_widgets_title_bg_select'] ) ) {
	switch( $unisphere_options['skin_footer_widgets_title_bg_select'] ) {
		case 'dark':
			echo '#footer-widgets .widget h3 { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_black.png\') repeat scroll left top }';
			break;
		case 'light':
			echo '#footer-widgets .widget h3 { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_white.png\') repeat scroll left top }';
			break;
		case 'solid':
			echo '#footer-widgets .widget h3 { ' . ( !empty( $unisphere_options['skin_footer_widgets_title_bgcolor'] ) ? ' background-color: ' . $unisphere_options['skin_footer_widgets_title_bgcolor'] . ';' : '' ) . ' }';
			break;
		case 'transparent':
			echo '#footer-widgets .widget h3 { padding: 0; }';
			echo '#footer-widgets .widget h3 .triangle { display: none; }';
			break;
	}
} ?>
#footer-widgets .widget h3 { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_title_text_color'] ) ? ' color: ' . $unisphere_options['skin_footer_widgets_title_text_color'] . ';' : '' ); ?> }
#footer-widgets .widget ul li ul { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] ) ? 'border-top: 1px dotted ' . $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] . ';' : '' ); ?> }
#footer-widgets .widget li { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Footer Calendar Widget */
#footer-widgets .widget_calendar table { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] ) ? 'border: 1px solid ' . $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] . ';' : '' ); ?> }
#footer-widgets .widget_calendar table th + th, 
#footer-widgets .widget_calendar table td + td, 
#footer-widgets .widget_calendar table th + td { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] ) ? 'border-left: 1px solid ' . $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] . ';' : '' ); ?> }
#footer-widgets .widget_calendar table td { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] ) ? 'border-top: 1px solid ' . $unisphere_options['skin_footer_widgets_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Footer Custom Menu Widget */
#footer-widgets .widget .menu a { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_content_links_color'] ) ? 'color: ' . $unisphere_options['skin_footer_widgets_content_links_color'] . ';' : '' ); ?> }
#footer-widgets .widget-sub-pages li.current_page_item > a,
#footer-widgets .widget_pages li.current_page_item > a,
#footer-widgets .widget .menu a:hover,
#footer-widgets .widget .menu li.current-menu-item > a { <?php echo ( !empty( $unisphere_options['skin_footer_widgets_content_links_hover_color'] ) ? 'color: ' . $unisphere_options['skin_footer_widgets_content_links_hover_color'] . ';' : '' ); ?> }

/* Buttons */
#container #content .woocommerce a.button, .woocommerce-page #container #content a.button, #container #content .woocommerce button.button, .woocommerce-page #content button.button, #container #content .woocommerce input.button, .woocommerce-page #container #content input.button, #container #content .woocommerce #respond input#submit, .woocommerce-page #container #content #respond input#submit, #container #content .woocommerce input.button, .woocommerce-page #container #content input.button,
.custom-button, button, #submit, #respond input#submit, .wp-pagenavi a, .wp-pagenavi a:link, .wp-pagenavi a:visited, #content a.button, #content a.button.alt, #content button.button, #content button.button.alt, #content input.button, #content input.button.alt, #content #review_form #submit, #content .cart .button, #content .cart input.button, #slider .slider-description .description a.custom-button, .slider-container .slider-description .description a.custom-button { <?php echo ( !empty( $unisphere_options['skin_button_text_color'] ) ? 'color: ' . $unisphere_options['skin_button_text_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_button_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_button_bgcolor'] . ';' : '' ); ?> }
#container #content .woocommerce a.button:hover, .woocommerce-page #container #content a.button:hover, #container #content .woocommerce button.button:hover, .woocommerce-page #content button.button:hover, #container #content .woocommerce input.button:hover, .woocommerce-page #container #content input.button:hover, #container #content .woocommerce #respond input#submit:hover, .woocommerce-page #container #content #respond input#submit:hover, #container #content .woocommerce input.button:hover, .woocommerce-page #container #content input.button:hover,
.custom-button:hover, button:hover, #submit:hover, #respond input#submit:hover, .wp-pagenavi a:hover, .wp-pagenavi span.current, #content a.button:hover, #content a.button.alt:hover, #content button.button:hover, #content button.button.alt:hover, #content input.button:hover, #content input.button.alt:hover, #content #review_form #submit:hover, #content .cart .button:hover, #content .cart input.button:hover, #slider .slider-description .description a.custom-button:hover, .slider-container .slider-description .description a.custom-button:hover { <?php echo ( !empty( $unisphere_options['skin_button_hover_text_color'] ) ? 'color: ' . $unisphere_options['skin_button_hover_text_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_button_hover_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_button_hover_bgcolor'] . ';' : '' ); ?> }
/* Default button corner settings */
<?php 
if( isset( $unisphere_options['skin_submit_button_corners'] ) ) {
	switch( $unisphere_options['skin_submit_button_corners'] ) {
		case 'flat':
			echo '#submit, #respond input#submit, #unisphere-submit, .wp-pagenavi a, .wp-pagenavi a:link, .wp-pagenavi a:visited, .wp-pagenavi span.current, #content a.button, #content a.button.alt, #content button.button, #content button.button.alt, #content input.button, #content input.button.alt, #content #review_form #submit, #content .cart .button, #content .cart input.button { -moz-border-radius: 0; -webkit-border-radius: 0; border-radius: 0; }';
			break;
		case 'subtle':
			echo '#submit, #respond input#submit, #unisphere-submit, .wp-pagenavi a, .wp-pagenavi a:link, .wp-pagenavi a:visited, .wp-pagenavi span.current, #content a.button, #content a.button.alt, #content button.button, #content button.button.alt, #content input.button, #content input.button.alt, #content #review_form #submit, #content .cart .button, #content .cart input.button { -moz-border-radius: 2px; -webkit-border-radius: 2px; border-radius: 2px; }';
			break;
		case 'rounded':
			echo '#submit, #respond input#submit, #unisphere-submit, .wp-pagenavi a, .wp-pagenavi a:link, .wp-pagenavi a:visited, .wp-pagenavi span.current, #content a.button, #content a.button.alt, #content button.button, #content button.button.alt, #content input.button, #content input.button.alt, #content #review_form #submit, #content .cart .button, #content .cart input.button { -moz-border-radius: 17px; -webkit-border-radius: 17px; border-radius: 17px; }';
			break;
	}
} ?>
/* Default button type settings */
<?php
if( isset( $unisphere_options['skin_submit_button_type'] ) ) {
	switch( $unisphere_options['skin_submit_button_type'] ) {
		case 'normal':
			echo '#submit, #respond input#submit, #unisphere-submit, .wp-pagenavi a, .wp-pagenavi a:link, .wp-pagenavi a:visited, .wp-pagenavi span.current, #content a.button, #content a.button.alt, #content button.button, #content button.button.alt, #content input.button, #content input.button.alt, #content #review_form #submit, #content .cart .button, #content .cart input.button { border: 0!important; -moz-text-shadow: none!important; -webkit-text-shadow: none!important; text-shadow: none!important; }';
			break;
		case 'fancy':
			echo '#submit, #respond input#submit, #unisphere-submit, .wp-pagenavi a, .wp-pagenavi a:link, .wp-pagenavi a:visited, .wp-pagenavi span.current, #content a.button, #content a.button.alt, #content button.button, #content button.button.alt, #content input.button, #content input.button.alt, #content #review_form #submit, #content .cart .button, #content .cart input.button { background-image: url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/button_bg.png\')!important; background-repeat: repeat-x!important; background-position: 0 -13px!important; -moz-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5)!important; -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5)!important; box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5)!important; border: 1px solid rgba(0, 0, 0, .2)!important; -moz-text-shadow: none!important; -webkit-text-shadow: none!important; text-shadow: none!important; }';
			break;
	}
} ?>

/* Information Box */
.info-box .info-box-title { <?php echo ( !empty( $unisphere_options['skin_info_box_title_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_info_box_title_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_info_box_title_text_color'] ) ? 'color: ' . $unisphere_options['skin_info_box_title_text_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['fonts_show_info_box_title_uppercase'] ) ? 'text-transform: uppercase;' : ''); ?> }
.info-box .info-box-content { <?php echo ( !empty( $unisphere_options['skin_info_box_content_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_info_box_content_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_info_box_content_text_color'] ) ? 'color: ' . $unisphere_options['skin_info_box_content_text_color'] . ';' : '' ); ?> }

/* Testimonials */
.testimonial-quote,
.testimonial-content { <?php echo ( !empty( $unisphere_options['skin_heading_alt_color'] ) ? 'color: ' . $unisphere_options['skin_heading_alt_color'] . ';' : '' ); ?> }

/* Toggle */
.toggle-container { <?php echo ( !empty( $unisphere_options['skin_toggle_title_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_toggle_title_bgcolor'] . ';' : '' ); ?> }
.toggle-container .toggle .toggle-sign,
.toggle-container .toggle .toggle-title { <?php echo ( !empty( $unisphere_options['skin_toggle_title_text_color'] ) ? 'color: ' . $unisphere_options['skin_toggle_title_text_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['fonts_show_toggle_title_uppercase'] ) ? 'text-transform: uppercase;' : ''); ?> }
.toggle-container .toggle-content { <?php echo ( !empty( $unisphere_options['skin_toggle_content_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_toggle_content_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_toggle_content_text_color'] ) ? 'color: ' . $unisphere_options['skin_toggle_content_text_color'] . ';' : '' ); ?> }

/* Separator */
div.hr { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ) ?> }

/* Highlight */
.highlight { <?php echo ( !empty( $unisphere_options['skin_highlight_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_highlight_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_highlight_text_color'] ) ? 'color: ' . $unisphere_options['skin_highlight_text_color'] . ';' : '' ); ?> }

/* Inner Page Slider */
.slider-container { <?php echo ( !empty( $unisphere_options['skin_slider_shortcode_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_slider_shortcode_bgcolor'] . ';' : '' ); ?> }
.slider-container li .slider-description.dark,
.slider-container li .slider-description.dark .slider-title { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/dot_bg_black.png') repeat scroll left top; }
.slider-container li .slider-description.light,
.slider-container li .slider-description.light .slider-title { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/dot_bg_white.png') repeat scroll left top; }
.slider-container li .slider-description.solid,
.slider-container li .slider-description.solid .slider-title { <?php echo ( !empty( $unisphere_options['skin_slider_shortcode_text_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_slider_shortcode_text_bgcolor'] . ';' : '' ); ?> }
.slider-container .slider-description .description { <?php echo ( !empty( $unisphere_options['skin_slider_shortcode_description_text_color'] ) ? 'color: ' . $unisphere_options['skin_slider_shortcode_description_text_color'] . ';' : '' ); ?> }
.slider-container .slider-description .description a { <?php echo ( !empty( $unisphere_options['skin_slider_shortcode_description_link_color'] ) ? 'color: ' . $unisphere_options['skin_slider_shortcode_description_link_color'] . ';' : '' ); ?> }
.slider-container .slider-description .description a:hover { <?php echo ( !empty( $unisphere_options['skin_slider_shortcode_description_link_hover_color'] ) ? 'color: ' . $unisphere_options['skin_slider_shortcode_description_link_hover_color'] . ';' : '' ); ?> }
.slider-container .slider-description .slider-title { <?php echo ( !empty( $unisphere_options['skin_slider_shortcode_title_text_color'] ) ? 'color: ' . $unisphere_options['skin_slider_shortcode_title_text_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['fonts_show_slider_title_uppercase'] ) ? 'text-transform: uppercase;' : ''); ?> }
.slider-container .slider-prev { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/slider_prev_<?php echo ( !empty( $unisphere_options['skin_slider_shortcode_navigation_buttons_arrow_color'] ) ? $unisphere_options['skin_slider_shortcode_navigation_buttons_arrow_color'] : 'black' ); ?>.png') no-repeat scroll 13px 8px; }
.slider-container .slider-next { background: transparent url('<?php echo ( is_multisite() ? '../' : '' ); ?>../../../images/slider_next_<?php echo ( !empty( $unisphere_options['skin_slider_shortcode_navigation_buttons_arrow_color'] ) ? $unisphere_options['skin_slider_shortcode_navigation_buttons_arrow_color'] : 'black' ); ?>.png') no-repeat scroll 14px 8px; }

/* Tabs & Woocommerce tabs override */
#content div.product .woocommerce_tabs,
#container #content div.product .woocommerce-tabs { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-top: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }
#content ul.tabs, 
#content div.product .woocommerce_tabs ul.tabs,
#container #content div.product .woocommerce-tabs ul.tabs { <?php echo ( !empty( $unisphere_options['skin_tabs_border_color'] ) ? 'border-bottom: 1px solid ' . $unisphere_options['skin_tabs_border_color'] . ';' : '' ); ?> }
#content ul.tabs li.active, #content .tab-content,
#content div.product .woocommerce_tabs ul.tabs li.active,
#content div.product .woocommerce_tabs .panel,
#container #content div.product .woocommerce-tabs ul.tabs li.active,
#container #content div.product .woocommerce-tabs .panel { <?php echo ( !empty( $unisphere_options['skin_tabs_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_tabs_bgcolor'] . '!important;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_tabs_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_tabs_border_color'] . ';' : '' ); ?> }

/* Call to action */
.call-to-action-small p.excerpt { <?php echo ( !empty( $unisphere_options['skin_heading_alt_color'] ) ? 'color: ' . $unisphere_options['skin_heading_alt_color'] . ';' : '' ); ?> }
.call-to-action-bar { <?php echo ( !empty( $unisphere_options['skin_call_to_action_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_call_to_action_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_call_to_action_text_color'] ) ? 'color: ' . $unisphere_options['skin_call_to_action_text_color'] . ';' : '' ); ?> }

/* Big Title */
.big-title { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px solid ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }
.big-title p.sub-title { <?php echo ( !empty( $unisphere_options['skin_heading_alt_color'] ) ? 'color: ' . $unisphere_options['skin_heading_alt_color'] . ';' : '' ); ?> }
.big-title p.sub-title,
.big-title p.sub-title-empty { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Small Title */
.small-title { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-top: 3px solid ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }

/* Pricing Table */
.price-column { <?php echo ( !empty( $unisphere_options['skin_price_table_column_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_price_table_column_bgcolor'] . ';' : '' ); ?> }
.price-column h4 { <?php echo ( !empty( $unisphere_options['fonts_show_price_column_title_uppercase'] ) ? 'text-transform: uppercase;' : ''); ?> }
.price-column h4,
.price-column li .custom-button { color: #fff; <?php echo ( !empty( $unisphere_options['skin_price_table_column_main_color'] ) ? 'background-color: ' . $unisphere_options['skin_price_table_column_main_color'] . ';' : '' ); ?> }
.price-column li .custom-button:hover { <?php echo ( !empty( $unisphere_options['skin_button_hover_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_button_hover_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_button_hover_text_color'] ) ? 'color: ' . $unisphere_options['skin_button_hover_text_color'] . ';' : '' ); ?> }
.price-column .price-tag { <?php echo ( !empty( $unisphere_options['skin_price_table_column_main_color'] ) ? 'color: ' . $unisphere_options['skin_price_table_column_main_color'] . ';' : '' ); ?>; }

.price-column-even { <?php echo ( !empty( $unisphere_options['skin_price_table_alt_column_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_price_table_alt_column_bgcolor'] . ';' : '' ); ?> }
.price-column-even h4,
.price-column-even li .custom-button { color: #fff; <?php echo ( !empty( $unisphere_options['skin_price_table_alt_column_main_color'] ) ? 'background-color: ' . $unisphere_options['skin_price_table_alt_column_main_color'] . ';' : '' ); ?> }
.price-column-even .price-tag { <?php echo ( !empty( $unisphere_options['skin_price_table_alt_column_main_color'] ) ? 'color: ' . $unisphere_options['skin_price_table_alt_column_main_color'] . ';' : '' ); ?> }

.price-column-featured { <?php echo ( !empty( $unisphere_options['skin_price_table_featured_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_price_table_featured_bgcolor'] . ';' : '' ); ?> }
.price-column-featured h4,
.price-column-featured li .custom-button { color: #fff; <?php echo ( !empty( $unisphere_options['skin_price_table_featured_main_color'] ) ? 'background-color: ' . $unisphere_options['skin_price_table_featured_main_color'] . ';' : '' ); ?> }
.price-column-featured .price-tag { <?php echo ( !empty( $unisphere_options['skin_price_table_featured_main_color'] ) ? 'color: ' . $unisphere_options['skin_price_table_featured_main_color'] . ';' : '' ); ?> }

/* [gallery] */
<?php // Gallery background
if( isset( $unisphere_options['skin_gallery_bg_select'] ) ) {
	switch( $unisphere_options['skin_gallery_bg_select'] ) {
		case 'dark':
			echo '.gallery { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_black.png\') repeat scroll left top; }';
			break;
		case 'light':
			echo '.gallery { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_white.png\') repeat scroll left top; }';
			break;
		case 'solid':
			echo '.gallery { ' . ( !empty( $unisphere_options['skin_gallery_bgcolor'] ) ? ' background: ' . $unisphere_options['skin_gallery_bgcolor'] . ';' : '' ) . ' }';
			break;
	}
} ?>

/* Pre, Code, Tables and Ad Widgets border color (in main area) */
.widget-ad, table.border, pre, code { <?php echo ( !empty( $unisphere_options['skin_ad_main_area_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_ad_main_area_border_color'] . ';' : '' ); ?> }
td { <?php echo ( !empty( $unisphere_options['skin_ad_main_area_border_color'] ) ? 'border-top: 1px solid ' . $unisphere_options['skin_ad_main_area_border_color'] . ';' : '' ); ?> }
table.border th + th, table.border td + td, table.border th + td { <?php echo ( !empty( $unisphere_options['skin_ad_main_area_border_color'] ) ? 'border-left: 1px solid ' . $unisphere_options['skin_ad_main_area_border_color'] . ';' : '' ); ?> }
/* Pre, Code, Tables and Ad Widgets background color (in main area) */
.widget-ad, pre, code, .embedded-video,
table.stripes tbody tr:nth-child(odd) td, 
table.stripes tbody tr:nth-child(odd) th { <?php echo ( !empty( $unisphere_options['skin_ad_main_area_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_ad_main_area_bgcolor'] . ';' : '' ); ?> }
/* Pre, Code, Tables and Ad Widgets text color (in main area) */
.widget-ad, pre, code,
table.stripes tbody tr:nth-child(odd) td, 
table.stripes tbody tr:nth-child(odd) th { <?php echo ( !empty( $unisphere_options['skin_ad_main_area_text_color'] ) ? 'color: ' . $unisphere_options['skin_ad_main_area_text_color'] . ';' : '' ); ?> }

/* Pre, Code, Tables and Ad Widgets border color (in footer area) */
#footer-widgets .widget-ad, #footer-widgets table.border, #footer-widgets pre, #footer-widgets code { <?php echo ( !empty( $unisphere_options['skin_ad_footer_area_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_ad_footer_area_border_color'] . ';' : '' ); ?> }
#footer-widgets td { <?php echo ( !empty( $unisphere_options['skin_ad_footer_area_border_color'] ) ? 'border-top: 1px solid ' . $unisphere_options['skin_ad_footer_area_border_color'] . ';' : '' ); ?> }
#footer-widgets table.border th + th, #footer-widgets table.border td + td, #footer-widgets table.border th + td { <?php echo ( !empty( $unisphere_options['skin_ad_footer_area_border_color'] ) ? 'border-left: 1px solid ' . $unisphere_options['skin_ad_footer_area_border_color'] . ';' : '' ); ?> }
/* Pre, Code, Tables and Ad Widgets background color (in footer area) */
#footer-widgets .widget-ad, #footer-widgets pre, #footer-widgets code, .embedded-video,
#footer-widgets table.stripes tbody tr:nth-child(odd) td, 
#footer-widgets table.stripes tbody tr:nth-child(odd) th { <?php echo ( !empty( $unisphere_options['skin_ad_footer_area_bgcolor'] ) ? 'background-color: ' . $unisphere_options['skin_ad_footer_area_bgcolor'] . ';' : '' ); ?> }
/* Pre, Code, Tables and Ad Widgets text color (in footer area) */
#footer-widgets .widget-ad, #footer-widgets pre, #footer-widgets code,
#footer-widgets table.stripes tbody tr:nth-child(odd) td, 
#footer-widgets table.stripes tbody tr:nth-child(odd) th { <?php echo ( !empty( $unisphere_options['skin_ad_footer_area_text_color'] ) ? 'color: ' . $unisphere_options['skin_ad_footer_area_text_color'] . ';' : '' ); ?> }

/* Forms (in Main Area) */
input, textarea, select { <?php echo ( !empty( $unisphere_options['skin_input_main_area_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_input_main_area_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_main_area_font_color'] ) ? 'color: ' . $unisphere_options['skin_input_main_area_font_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_main_area_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_input_main_area_border_color'] . ';' : '' ); ?> }
input:focus, textarea:focus, select:focus { <?php echo ( !empty( $unisphere_options['skin_input_main_area_focus_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_input_main_area_focus_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_main_area_focus_font_color'] ) ? 'color: ' . $unisphere_options['skin_input_main_area_focus_font_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_main_area_focus_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_input_main_area_focus_border_color'] . ';' : '' ); ?> }
form .form-row input.input-text, #content .form-row input.input-text, form .form-row textarea, #content .form-row textarea { <?php echo ( !empty( $unisphere_options['skin_input_main_area_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_input_main_area_bgcolor'] . '!important;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_main_area_font_color'] ) ? 'color: ' . $unisphere_options['skin_input_main_area_font_color'] . '!important;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_main_area_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_input_main_area_border_color'] . ';' : '' ); ?> }
form .form-row input.input-text:focus, #content .form-row input.input-text:focus, form .form-row textarea:focus, #content .form-row textarea:focus { <?php echo ( !empty( $unisphere_options['skin_input_main_area_focus_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_input_main_area_focus_bgcolor'] . '!important;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_main_area_focus_font_color'] ) ? 'color: ' . $unisphere_options['skin_input_main_area_focus_font_color'] . '!important;' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_main_area_focus_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_input_main_area_focus_border_color'] . ';' : '' ); ?> }
/* Forms (in Footer Area) */
#footer-widgets input, #footer-widgets textarea, #footer-widgets select { <?php echo ( !empty( $unisphere_options['skin_input_footer_area_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_input_footer_area_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_footer_area_font_color'] ) ? 'color: ' . $unisphere_options['skin_input_footer_area_font_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_footer_area_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_input_footer_area_border_color'] . ';' : '' ); ?> }
#footer-widgets input:focus, #footer-widgets textarea:focus, #footer-widgets select:focus { <?php echo ( !empty( $unisphere_options['skin_input_footer_area_focus_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_input_footer_area_focus_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_footer_area_focus_font_color'] ) ? 'color: ' . $unisphere_options['skin_input_footer_area_focus_font_color'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_input_footer_area_focus_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_input_footer_area_focus_border_color'] . ';' : '' ); ?> }

/* Triangle */
.triangle { border-left: 16px solid transparent; border-right: 16px solid transparent; border-top: 16px solid <?php echo ( !empty( $unisphere_options['skin_main_area_bgcolor'] ) && empty( $unisphere_options['skin_main_area_bgimage']['image'] ) ? $unisphere_options['skin_main_area_bgcolor'] : 'transparent' ); ?>; }
#footer-widgets .triangle { border-left: 16px solid transparent; border-right: 16px solid transparent; border-top: 16px solid <?php echo ( !empty( $unisphere_options['skin_footer_widgets_area_bgcolor'] ) && empty( $unisphere_options['skin_footer_widgets_area_bgimage']['image'] ) ? $unisphere_options['skin_footer_widgets_area_bgcolor'] : 'transparent' ); ?>; }

/* Woocommerce overrides */
#content ul.products li .price,
#content div.product p.price,
#content form.cart .single_variation .amount { <?php echo ( !empty( $unisphere_options['skin_heading_color'] ) ? 'color: ' . $unisphere_options['skin_heading_color'] . '!important;' : '' ); ?> }
#content ul.products li { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-bottom: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }
#content div.product .images-wrapper,
#content div.product .related ul,
#content div.upsells ul { <?php echo ( !empty( $unisphere_options['skin_main_area_separators_bgcolor'] ) ? 'border-top: 1px dotted ' . $unisphere_options['skin_main_area_separators_bgcolor'] . ';' : '' ); ?> }
#content div.product .woocommerce_tabs ul.tabs li a:hover,
#content div.product .woocommerce_tabs ul.tabs li.active a,
#container #content div.product .woocommerce-tabs ul.tabs li a:hover,
#container #content div.product .woocommerce-tabs ul.tabs li.active a { <?php echo ( !empty( $unisphere_options['skin_link_color'] ) ? 'color: ' . $unisphere_options['skin_link_color'] . ';' : '' ); ?> }
#content .woocommerce_message, #content .info, #content .woocommerce_error, #content .woocommerce_info { <?php echo ( !empty( $unisphere_options['skin_ad_main_area_bgcolor'] ) ? 'background: ' . $unisphere_options['skin_ad_main_area_bgcolor'] . ';' : '' ); ?> <?php echo ( !empty( $unisphere_options['skin_ad_main_area_border_color'] ) ? 'border: 1px solid ' . $unisphere_options['skin_ad_main_area_border_color'] . '!important;' : '' ); ?> }
#content ul.products li .price del,
#content div.product p.price del { <?php echo ( !empty( $unisphere_options['skin_woocommerce_del_color'] ) ? 'color: ' . $unisphere_options['skin_woocommerce_del_color'] . '!important;' : '' ); ?> }
#content ul.products li .price .from,
#content div.product p.price .from,
#content ul.cart_list li .from, 
#content ul.product_list_widget li .from { <?php echo ( !empty( $unisphere_options['skin_heading_alt_color'] ) ? 'color: ' . $unisphere_options['skin_heading_alt_color'] . ';' : '' ); ?> }
#content span.onsale { <?php echo ( !empty( $unisphere_options['skin_woocommerce_sale_text_color'] ) ? 'color: ' . $unisphere_options['skin_woocommerce_sale_text_color'] . ';' : '' ); ?> }
<?php // Sale badge background
if( isset( $unisphere_options['skin_woocommerce_sale_bg_select'] ) ) {
	switch( $unisphere_options['skin_woocommerce_sale_bg_select'] ) {
		case 'dark':
			echo '#content span.onsale { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_black.png\') repeat scroll left top; }';
			break;
		case 'light':
			echo '#content span.onsale { background: transparent url(\'' . ( is_multisite() ? '../' : '' ) . '../../../images/dot_bg_white.png\') repeat scroll left top; }';
			break;
		case 'solid':
			echo '#content span.onsale { ' . ( !empty( $unisphere_options['skin_woocommerce_sale_bgcolor'] ) ? ' background: ' . $unisphere_options['skin_woocommerce_sale_bgcolor'] . ';' : '' ) . ' }';
			break;
	}
} ?>
#content .widget_price_filter .ui-slider .ui-slider-range,
#content .widget_price_filter .ui-slider .ui-slider-handle { <?php echo ( !empty( $unisphere_options['skin_woocommerce_price_filter_color'] ) ? 'background: ' . $unisphere_options['skin_woocommerce_price_filter_color'] . ';' : '' ); ?> }
/* Star Rating */
#container .woocommerce p.stars:before, .woocommerce-page #container p.stars:before,
#container .woocommerce p.stars a:before, .woocommerce-page #container p.stars a:before,
#container .woocommerce .star-rating:before, .woocommerce-page #container .star-rating:before,
#container .woocommerce .star-rating, .woocommerce-page #container .star-rating,
#container .woocommerce .star-rating span:before, .woocommerce-page #container .star-rating span:before { <?php echo ( !empty( $unisphere_options['skin_link_hover_color'] ) ? 'color: ' . $unisphere_options['skin_link_hover_color'] . '!important;' : '' ); ?> }

/* Skin's custom CSS */
<?php echo ( !empty( $unisphere_options['skin_custom_css'] ) ? $unisphere_options['skin_custom_css'] : '' ); ?>
