<?php
/**
 * unisphere framework functions
 */

/**
 * Define framework contants
 */
define( 'UNISPHERE_THEMENAME', 'Mural' ); // The theme name
define( 'UNISPHERE_THEMESHORTNAME', 'mural' ); // The theme short name
define( 'UNISPHERE_THEMEOPTIONS', 'mural' ); // The theme database option variable
define( 'UNISPHERE_NOTIFIER_FILE', 'http://notifier.unispheredesign.com/mural/notifier.xml' ); // The notifier file containing the latest version of the theme
define( 'UNISPHERE_GOOGLE_WEB_FONTS_FILE', 'http://notifier.unispheredesign.com/mural/fonts/update-font-list.php' ); // The remote file containing the latest Google web fonts
define( 'UNISPHERE_SKINS_BROWSER_FILE', 'http://notifier.unispheredesign.com/mural/skins/skins.php' ); // The remote file containing new downloadable skins

// Folder shortcuts
define( 'UNISPHERE_LIBRARY', TEMPLATEPATH . '/library' ); // Shortcut to point to the /library/ dir
define( 'UNISPHERE_FONTS', TEMPLATEPATH . '/fonts' ); // Shortcut to point to the /fonts/ dir
define( 'UNISPHERE_ADMIN', UNISPHERE_LIBRARY . '/admin' ); // Shortcut to point to the /admin/ dir
define( 'OPTIONS_FRAMEWORK_URL', UNISPHERE_LIBRARY . '/admin/');

// URI shortcuts
define( 'UNISPHERE_CSS', get_template_directory_uri() . '/css', true ); // Shortcut to point to the /css/ URI
define( 'UNISPHERE_IMAGES', get_template_directory_uri() . '/images', true ); // Shortcut to point to the /images/ URI
define( 'UNISPHERE_JS', get_template_directory_uri() . '/js', true ); // Shortcut to point to the /js/ URI
define( 'UNISPHERE_FONTS_URL', get_template_directory_uri() . '/fonts', true ); // Shortcut to point to the /fonts/ URI
define( 'UNISPHERE_ADMIN_CSS', get_template_directory_uri() . '/library/admin/css', true ); // Shortcut to point to the /library/admin/css/ URI
define( 'UNISPHERE_ADMIN_IMAGES', get_template_directory_uri() . '/library/admin/images', true ); // Shortcut to point to the /library/admin/images/ URI
define( 'UNISPHERE_ADMIN_JS', get_template_directory_uri() . '/library/admin/js', true ); // Shortcut to point to the /library/admin/js/ URI
define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/library/admin/');

/**
 * Include required framework files
 */
require_once(UNISPHERE_LIBRARY . '/options.php');
require_once(UNISPHERE_LIBRARY . '/helpers.php');
require_once(UNISPHERE_LIBRARY . '/misc.php');
require_once(UNISPHERE_LIBRARY . '/post-types.php');
require_once(UNISPHERE_LIBRARY . '/post-formats.php');
require_once(UNISPHERE_LIBRARY . '/semantic-classes.php');
require_once(UNISPHERE_LIBRARY . '/fonts.php');
require_once(UNISPHERE_LIBRARY . '/scripts.php');
require_once(UNISPHERE_LIBRARY . '/menus.php');
require_once(UNISPHERE_LIBRARY . '/media.php');
require_once(UNISPHERE_LIBRARY . '/widgets.php');
require_once(UNISPHERE_LIBRARY . '/gallery.php');
require_once(UNISPHERE_LIBRARY . '/custom-fields.php');
require_once(UNISPHERE_LIBRARY . '/shortcodes.php');
require_once(UNISPHERE_LIBRARY . '/comments.php');
require_once(UNISPHERE_LIBRARY . '/update-notifier.php');
require_once(UNISPHERE_LIBRARY . '/widgets/ads.php');
require_once(UNISPHERE_LIBRARY . '/widgets/popular-posts.php');
require_once(UNISPHERE_LIBRARY . '/widgets/recent-posts.php');
require_once(UNISPHERE_LIBRARY . '/widgets/popular-portfolio.php');
require_once(UNISPHERE_LIBRARY . '/widgets/recent-portfolio.php');
require_once(UNISPHERE_LIBRARY . '/widgets/twitter.php');
require_once(UNISPHERE_LIBRARY . '/widgets/contact-form.php');
require_once(UNISPHERE_LIBRARY . '/widgets/flickr.php');
require_once(UNISPHERE_LIBRARY . '/widgets/sub-pages.php');
require_once(UNISPHERE_LIBRARY . '/widgets/social.php');
require_once(UNISPHERE_LIBRARY . '/woocommerce.php');
if( version_compare( WOOCOMMERCE_VERSION, '2.0.0' ) >= 0 ) { require_once(UNISPHERE_LIBRARY . '/woocommerce2.php'); }
require_once(UNISPHERE_LIBRARY . '/presstrends.php');
require_once(OPTIONS_FRAMEWORK_URL . 'options-framework.php');

// Mural skins and fonts backup folder path
define( 'UNISPHERE_BACKUPS_PATH', truepath(ABSPATH . '/wp-content/uploads/' . UNISPHERE_THEMESHORTNAME . '_backups'));

/**
 * Add default theme options to database on theme activation
 */
 
if ( is_admin() && isset($_GET['activated'] ) && $pagenow == 'themes.php' ) {
	
	require_once OPTIONS_FRAMEWORK_URL . 'options-interface.php';

	// Loads the options array from the theme
	require_once OPTIONS_FRAMEWORK_URL . 'options.php';
	
	// Updates the unique option id in the database if it has changed
	optionsframework_option_name();

	$optionsframework_settings = get_option('optionsframework');
	
	// Gets the unique id, returning a default if it isn't defined
	if ( isset($optionsframework_settings['id']) ) {
		$option_name = $optionsframework_settings['id'];
	}
	else {
		$option_name = 'optionsframework';
	}
	
	// If the option has no saved data, load the defaults
	if ( !get_option($option_name) ) {
		
		if ( isset($optionsframework_settings['knownoptions']) ) {
			$knownoptions =  $optionsframework_settings['knownoptions'];
			if ( !in_array($option_name, $knownoptions) ) {
				array_push( $knownoptions, $option_name );
				$optionsframework_settings['knownoptions'] = $knownoptions;
				update_option('optionsframework', $optionsframework_settings);
			}
		} else {
			$newoptionname = array($option_name);
			$optionsframework_settings['knownoptions'] = $newoptionname;
			update_option('optionsframework', $optionsframework_settings);
		}
		
		// Add default options to the database
		$values = array();
		$config = optionsframework_options();
		foreach ( (array) $config as $option ) {
			if ( ! isset( $option['id'] ) ) {
				continue;
			}
			if ( ! isset( $option['std'] ) ) {
				$option['std'] = '';
			}
			if ( ! isset( $option['type'] ) ) {
				continue;
			}
			if( $option['id'] != 'import_settings' 
				&& $option['id'] != 'export_settings' 
				&& $option['id'] != 'skin_create' 
				&& $option['id'] != 'skin_delete' 
				&& $option['id'] != 'skin_export' 
				&& $option['id'] != 'skin_import' 
				&& $option['id'] != 'cufon_upload' 
				&& $option['id'] != 'fonts_update_google' 
				&& $option['id'] != 'sidebar_create' 
				&& $option['id'] != 'sidebar_list' ) {
				$values[$option['id']] = $option['std'];
			}			
		}

		// Load the default skin to the Database
		$skin_data = wp_remote_get( UNISPHERE_CSS . '/skins/' . $values['skin_current'] . '/settings.json' );
		if( is_wp_error( $skin_data ) || $skin_data['response']['code'] != 200 ) {
			// Let's try an alternate approach		
			$filename = truepath( TEMPLATEPATH . '/css/skins/' . $values['skin_current'] . '/settings.json' );
			if ($fh = fopen($filename, "r")) {
				$file_content = fread($fh, filesize($filename));
				$skin_data = json_decode( $file_content, true );	
				fclose($fh);
			}	   	
		} else {
			// Parse the JSON data into a PHP array
			$skin_data = json_decode( $skin_data['body'], true );
		}

		for ( $i=0 ; $i<count($skin_data) ; $i++ ) {
			foreach ( $skin_data[$i] as $key => $value ) {
				if( is_array($value) && !empty($value['image']) ) {
					$value['image'] = UNISPHERE_CSS . '/skins/' . $values['skin_current'] . '/' . basename($value['image']);
				}
				$values[$key] = $value;
			}
		}
		
		if ( isset($values) ) {
			add_option( $option_name, $values ); // Add option with default settings
		}
	}
	
	// Activate Presstrends
	update_option('presstrends_theme_opt', array('activated' => 'on') );

	// Update custom portfolio permalink structure
	update_option('flush_rewrite_rules', '1');

	// Woocommerce Image sizes
	update_option( 'woocommerce_catalog_image_width', '210' ); // Catalog Images
	update_option( 'woocommerce_catalog_image_height', '210' );
	update_option( 'woocommerce_single_image_width', '250' ); // Single Product Image
	update_option( 'woocommerce_single_image_height', '250' );
	update_option( 'woocommerce_thumbnail_image_width', '250' ); // Product Thumbnails
	update_option( 'woocommerce_thumbnail_image_height', '250' );

	// Hard Crop [0 = false, 1 = true]
	update_option( 'woocommerce_catalog_image_crop', 1 );
	update_option( 'woocommerce_catalog_image_crop', 1 );
	update_option( 'woocommerce_single_image_crop', 1 );
	update_option( 'woocommerce_single_image_crop', 1 );
	update_option( 'woocommerce_thumbnail_image_crop', 1 );
	update_option( 'woocommerce_thumbnail_image_crop', 1 );
}
?>
