/**
 * Prints out the inline javascript needed for the colorpicker and choosing
 * the tabs in the panel.
 */

jQuery(document).ready(function($) {
	
	// Fade out the save message
	$('.fade').delay(1000).fadeOut(1000);
	
	// Color Picker
	$('.colorSelector').each(function(){
		var Othis = this; //cache a copy of the this variable for use inside nested function
		var initialColor = $(Othis).next('input').attr('value');
		$(this).ColorPicker({
		color: initialColor,
		onShow: function (colpkr) {
		$(colpkr).fadeIn(500);
		return false;
		},
		onHide: function (colpkr) {
		$(colpkr).fadeOut(500);
		return false;
		},
		onChange: function (hsb, hex, rgb) {
		$(Othis).children('div').css('backgroundColor', '#' + hex);
		$(Othis).next('input').attr('value','#' + hex);
	}
	});
	}); //end color picker
	
	// Switches option sections
	$('.group').hide();
	var activetab = '';
	if (typeof(localStorage) != 'undefined' ) {
		activetab = localStorage.getItem("activetab");
	}
	if (activetab != '' && $(activetab).length ) {
		$(activetab).fadeIn();
	} else {
		$('.group:first').fadeIn();
	}
	$('.group .collapsed').each(function(){
		$(this).find('input:checked').parent().parent().parent().nextAll().each( 
			function(){
				if ($(this).hasClass('last')) {
					$(this).removeClass('hidden');
						return false;
					}
				$(this).filter('.hidden').removeClass('hidden');
			});
	});
	
	if (activetab != '' && $(activetab + '-tab').length ) {
		$(activetab + '-tab').addClass('nav-tab-active');
	}
	else {
		$('.nav-tab-wrapper a:first').addClass('nav-tab-active');
	}
	$('.nav-tab-wrapper a').click(function(evt) {
		$('.nav-tab-wrapper a').removeClass('nav-tab-active');
		$(this).addClass('nav-tab-active').blur();
		var clicked_group = $(this).attr('href');
		if (typeof(localStorage) != 'undefined' ) {
			localStorage.setItem("activetab", $(this).attr('href'));
		}
		$('.group').hide();
		$(clicked_group).fadeIn();
		evt.preventDefault();
	});
           					
	$('.group .collapsed input:checkbox').click(unhideHidden);
				
	function unhideHidden(){
		if ($(this).attr('checked')) {
			$(this).parent().parent().parent().nextAll().removeClass('hidden');
		}
		else {
			$(this).parent().parent().parent().nextAll().each( 
			function(){
				if ($(this).filter('.last').length) {
					$(this).addClass('hidden');
					return false;		
					}
				$(this).addClass('hidden');
			});
           					
		}
	}
	
	// Image Options
	$('.of-radio-img-img').click(function(){
		$(this).parent().parent().find('.of-radio-img-img').removeClass('of-radio-img-selected');
		$(this).addClass('of-radio-img-selected');		
	});
		
	$('.of-radio-img-label').hide();
	$('.of-radio-img-img').show();
	$('.of-radio-img-radio').hide();
	
	/* Toggle */
	$(".toggle-container .toggle-content").hide(); //Hide (Collapse) the toggle containers on load
	$(".toggle-container .toggle-sign").text('+'); //Add the + sign on load

	$(".toggle-container .toggle").toggle(function() {
		$(this).addClass('selected');
		$(this).find('.toggle-sign').text('-');
		$(this).next(".toggle-content").slideToggle();
	}, function() {
		$(this).removeClass('selected');
		$(this).find('.toggle-sign').text('+');
		$(this).next(".toggle-content").slideToggle();
	});


	// Backgroud Select fields
	$('.bgselect .option .controls select').each(function(){
		if( $(this).val() == 'solid' ) {
			$(this).parent().parent().parent().next().show().css('backgroundColor', '#f8f8f8');
		} else {
			$(this).parent().parent().parent().next().hide();
		}
	});

	$('.bgselect .option .controls select').change(function(){
		if( $(this).val() == 'solid' ) {
			$(this).parent().parent().parent().next().show(250).css('backgroundColor', '#f8f8f8');
		} else {
			$(this).parent().parent().parent().next().hide(250);
		}
	});

	// Post form when changing the "Curren skin" dropdown select field
	$('#skin_current').change(function() {
		var $hiddenInput = $('<input/>',{type:'hidden',name:'skin_current',value:'true'});
		$hiddenInput.appendTo($(this));
	    $(this).closest("form").submit();
	});

	// If a theme default skin is chosen, don't allow changes to the colors and backgrounds
	var $currentSkin = $('#skin_current').val();
	if( $currentSkin && $currentSkin.indexOf('_theme_') != -1 ) {
		$('#of-option-colors div, #of-option-backgroundimages div, #of-option-fonts div, #of-option-othersettings div, #of-option-customcss div, #optionsframework-submit .button-primary').remove();
		$('#optionsframework-submit').css('height', '25px');
		$('#of-option-colors, #of-option-backgroundimages, #of-option-fonts, #of-option-othersettings, #of-option-customcss').append($('<div class="section section-info"><h4 class="heading">Can\'t change the current skin</h4><p>A default theme skin is being used and cannot be changed. To change a default theme skin, go to the <strong>Skins</strong> tab and create a new skin by creating a copy of an existing skin.</p><div class="clear"></div></div>'));
	}

	// Create new skin name field validation
	$('#section-skin_create .button2').addClass('disabled').attr('disabled', 'disabled');
	$('#section-skin_create #skin_create_text').bind('keyup', function() {
		var $name = $.trim($(this).val());
		var $exists = false;
		$("#skin_current option").each(function()	{
			if( $.trim($(this).text()) == $name )
    			$exists = true;
		});

		if($.trim($(this).val()) != '' && !$exists) {
			$('#section-skin_create .button2').removeClass('disabled').removeAttr('disabled');
		} else {
			$('#section-skin_create .button2').addClass('disabled').attr('disabled', 'disabled');
		}
	});

	// Add confirmation dialog when deleting a skin
	$('#section-skin_delete .button2').click(function(e) {
		if(!confirm("Are you sure you want to delete this skin?")) 	{
		    e.preventDefault();
		} else {
			$(this).closest("form").submit();
		}
	});

	// Disable "delete" button when there aren't any valid skins to delete
	if( $('#skin_delete_select').val() == '' ) {
		$('#section-skin_delete .button2').addClass('disabled').attr('disabled', 'disabled');
	}

	// Import new skin name field validation
	$('#section-skin_import .button2').addClass('disabled').attr('disabled', 'disabled');
	$('#section-skin_import #skin_import_text').bind('keyup', function() {
		var $name = $.trim($(this).val());
		var $exists = false;
		$("#skin_current option").each(function()	{
			if( $.trim($(this).text()) == $name )
    			$exists = true;
		});

		if($.trim($(this).val()) != '' && $.trim($('#skin_import_file').val()) != '' && !$exists) {
			$('#section-skin_import .button2').removeClass('disabled').removeAttr('disabled');
		} else {
			$('#section-skin_import .button2').addClass('disabled').attr('disabled', 'disabled');
		}
	});

	// Import name field ENTER keypress
	$('#section-skin_import #skin_import_text').bind('keypress', function(e) {
		//e.preventDefault();
		var code = (e.keyCode ? e.keyCode : e.which);
		if(code == 13) { //Enter keycode
			$('#section-skin_import .button2').click();
		}
	});

	// Add confirmation dialog when deleting a sidebar
	$('#section-sidebar_list .remove-button').click(function(e) {
		if(!confirm("Are you sure you want to delete this sidebar?")) 	{
		    e.preventDefault();
		} else {
			$(this).closest("form").submit();
		}
	});

	// Custom fields multi-checkbox sorting
	if( $.isFunction($.fn.sortable) ) {
		$('.sort-children').sortable();
		$('.sort-children').disableSelection();
	}

	// Custom field parent container margin and padding adjust
	if( $('#custom-fields-form-wrap') )
		$('#custom-fields-form-wrap').parent().css('margin', '0').css('padding', '0');

	// Custom fields hide/show fields based on options ( SLIDER ITEM )
	if( $('#_slider_video') ) {
		// on screen load
		$('#section_slider_video_no_sublimevideo, #section_slider_video_youtube, #section_slider_video_vimeo, #section_slider_video_html5_mp4, #section_slider_video_html5_mp4_hd, #section_slider_video_html5_webm, #section_slider_video_html5_webm_hd, #section_slider_video_flv, #section_slider_video_flv_hd, #section_slider_autoplay, #section_slider_no_autoplay_thumbnail').hide();
		if( $('#_slider_video').val() == 'youtube' ) { $('#section_slider_video_youtube, #section_slider_autoplay').show(); }
		if( $('#_slider_video').val() == 'vimeo' ) { $('#section_slider_video_vimeo, #section_slider_autoplay').show(); }
		if( $('#_slider_video').val() == 'html5_flv' ) { $('#section_slider_video_html5_mp4, #section_slider_video_html5_mp4_hd, #section_slider_video_html5_webm, #section_slider_video_html5_webm_hd, #section_slider_video_flv, #section_slider_video_flv_hd, #section_slider_autoplay, #section_slider_no_autoplay_thumbnail').show(); }
		if( $('#_slider_video').val() == 'html5_flv_disabled' ) { $('#section_slider_video_no_sublimevideo').show(); }

		// on option change
		$('#_slider_video').change(function(){
			$('#section_slider_video_no_sublimevideo, #section_slider_video_youtube, #section_slider_video_vimeo, #section_slider_video_html5_mp4, #section_slider_video_html5_mp4_hd, #section_slider_video_html5_webm, #section_slider_video_html5_webm_hd, #section_slider_video_flv, #section_slider_video_flv_hd, #section_slider_autoplay, #section_slider_no_autoplay_thumbnail').hide();
			if( $(this).val() == 'youtube' ) { $('#section_slider_video_youtube, #section_slider_autoplay').show(250); }
			if( $(this).val() == 'vimeo' ) { $('#section_slider_video_vimeo, #section_slider_autoplay').show(250); }
			if( $(this).val() == 'html5_flv' ) { $('#section_slider_video_html5_mp4, #section_slider_video_html5_mp4_hd, #section_slider_video_html5_webm, #section_slider_video_html5_webm_hd, #section_slider_video_flv, #section_slider_video_flv_hd, #section_slider_autoplay, #section_slider_no_autoplay_thumbnail').show(); }
			if( $(this).val() == 'html5_flv_disabled' ) { $('#section_slider_video_no_sublimevideo').show(); }
		});
	}

	// Custom fields hide/show fields based on options ( SUB-HEADER BAR )
	if( $('#_page_hide_sub_header') ) {
		// on screen load
		$('#section_page_sub_header_bg, #section_page_sub_header_image, #section_page_sub_header_fullwidth_image, #section_page_sub_header_bg_color, #section_page_sub_header_title, #section_page_sub_header_desc, #section_page_sub_header_text_color, #section_page_sub_header_text_bg, #section_page_sub_header_text_bg_color, #section_page_sub_header_height').hide();
		
		if( !$('#_page_hide_sub_header').is(':checked') ) {
			$('#section_page_sub_header_bg').show();
			$('#section_page_sub_header_title').show();
			$('#section_page_sub_header_desc').show();
			$('#section_page_sub_header_text_color').show();
			$('#section_page_sub_header_text_bg').show();

			if( $('#_page_sub_header_bg').val() == 'image' ) { $('#section_page_sub_header_image').show(); }
			if( $('#_page_sub_header_bg').val() == 'solid' ) { $('#section_page_sub_header_bg_color').show(); }
			if( $('#_page_sub_header_bg').val() == 'fullwidth_image' ) { $('#section_page_sub_header_fullwidth_image').show(); }			

			if( $('#_page_sub_header_text_bg').val() == 'solid' ) { $('#section_page_sub_header_text_bg_color').show(); }

			$('#section_page_sub_header_height').show();
		}

		// on option change
		$('#_page_hide_sub_header').change(function(){
			if( $(this).is(':checked') ) {
				$('#section_page_sub_header_bg, #section_page_sub_header_image, #section_page_sub_header_fullwidth_image, #section_page_sub_header_bg_color, #section_page_sub_header_title, #section_page_sub_header_desc, #section_page_sub_header_text_color, #section_page_sub_header_text_bg, #section_page_sub_header_text_bg_color, #section_page_sub_header_height').hide(250);
			} else {
				$('#section_page_sub_header_bg').show(250);
				$('#section_page_sub_header_title').show(250);
				$('#section_page_sub_header_desc').show(250);
				$('#section_page_sub_header_text_color').show(250);
				$('#section_page_sub_header_text_bg').show(250);

				if( $('#_page_sub_header_bg').val() == 'image' ) { $('#section_page_sub_header_image').show(250); }
				if( $('#_page_sub_header_bg').val() == 'solid' ) { $('#section_page_sub_header_bg_color').show(250); }
				if( $('#_page_sub_header_bg').val() == 'fullwidth_image' ) { $('#section_page_sub_header_fullwidth_image').show(250); }

				if( $('#_page_sub_header_text_bg').val() == 'solid' ) { $('#section_page_sub_header_text_bg_color').show(250); }

				$('#section_page_sub_header_height').show(250);
			}
		});

		$('#_page_sub_header_bg').change(function(){
			$('#section_page_sub_header_image, #section_page_sub_header_bg_color, #section_page_sub_header_fullwidth_image').hide(250);
			if( $(this).val() == 'image' ) { $('#section_page_sub_header_image').show(250); }
			if( $(this).val() == 'solid' ) { $('#section_page_sub_header_bg_color').show(250); }
			if( $(this).val() == 'fullwidth_image' ) { $('#section_page_sub_header_fullwidth_image').show(250); }
		});

		$('#_page_sub_header_text_bg').change(function(){
			$('#section_page_sub_header_text_bg_color').hide(250);
			if( $(this).val() == 'solid' ) { $('#section_page_sub_header_text_bg_color').show(250); }
		});
	}

	// Custom fields hide/show fields based on options ( SUB-HEADER SLIDER )
	if( $('#_page_show_slider') ) {
		// on screen load
		$('#section_page_slider_height, #section_page_slider_type, #section_page_slider_num_items, #section_page_slider_seconds, #section_page_slider_transition_seconds, #section_page_slider_cat').hide();
		
		if( $('#_page_show_slider').is(':checked') ) {
			$('#section_page_slider_height, #section_page_slider_type, #section_page_slider_num_items, #section_page_slider_seconds, #section_page_slider_transition_seconds, #section_page_slider_cat').show();
		}

		// on option change
		$('#_page_show_slider').change(function(){
			if( $(this).is(':checked') ) {
				$('#section_page_slider_height, #section_page_slider_type, #section_page_slider_num_items, #section_page_slider_seconds, #section_page_slider_transition_seconds, #section_page_slider_cat').show(250);
			} else {
				$('#section_page_slider_height, #section_page_slider_type, #section_page_slider_num_items, #section_page_slider_seconds, #section_page_slider_transition_seconds, #section_page_slider_cat').hide(250);
			}
		});
	}

	// Custom fields hide/show fields based on options ( PORTFOLIO ITEM )
	if( $('#_portfolio_video') ) {
		// on screen load
		$('#section_portfolio_video_no_sublimevideo, #section_portfolio_video_youtube, #section_portfolio_video_vimeo, #section_portfolio_video_html5_mp4, #section_portfolio_video_html5_mp4_hd, #section_portfolio_video_html5_webm, #section_portfolio_video_html5_webm_hd, #section_portfolio_video_flv, #section_portfolio_video_flv_hd, #section_portfolio_autoplay, #section_portfolio_no_autoplay_thumbnail, #section_portfolio_video_lightbox_width, #section_portfolio_video_lightbox_height').hide();
		if( $('#_portfolio_video').val() == 'youtube' ) { $('#section_portfolio_video_youtube, #section_portfolio_autoplay').show(); }
		if( $('#_portfolio_video').val() == 'vimeo' ) { $('#section_portfolio_video_vimeo, #section_portfolio_autoplay').show(); }
		if( $('#_portfolio_video').val() == 'html5_flv' ) { $('#section_portfolio_video_html5_mp4, #section_portfolio_video_html5_mp4_hd, #section_portfolio_video_html5_webm, #section_portfolio_video_html5_webm_hd, #section_portfolio_video_flv, #section_portfolio_video_flv_hd, #section_portfolio_autoplay, #section_portfolio_no_autoplay_thumbnail, #section_portfolio_video_lightbox_width, #section_portfolio_video_lightbox_height').show(); }
		if( $('#_portfolio_video').val() == 'html5_flv_disabled' ) { $('#section_portfolio_video_no_sublimevideo').show(); }

		// on option change
		$('#_portfolio_video').change(function(){
			$('#section_portfolio_video_no_sublimevideo, #section_portfolio_video_youtube, #section_portfolio_video_vimeo, #section_portfolio_video_html5_mp4, #section_portfolio_video_html5_mp4_hd, #section_portfolio_video_html5_webm, #section_portfolio_video_html5_webm_hd, #section_portfolio_video_flv, #section_portfolio_video_flv_hd, #section_portfolio_autoplay, #section_portfolio_no_autoplay_thumbnail, #section_portfolio_video_lightbox_width, #section_portfolio_video_lightbox_height').hide();
			if( $(this).val() == 'youtube' ) { $('#section_portfolio_video_youtube, #section_portfolio_autoplay').show(250); }
			if( $(this).val() == 'vimeo' ) { $('#section_portfolio_video_vimeo, #section_portfolio_autoplay').show(250); }
			if( $(this).val() == 'html5_flv' ) { $('#section_portfolio_video_html5_mp4, #section_portfolio_video_html5_mp4_hd, #section_portfolio_video_html5_webm, #section_portfolio_video_html5_webm_hd, #section_portfolio_video_flv, #section_portfolio_video_flv_hd, #section_portfolio_autoplay, #section_portfolio_no_autoplay_thumbnail, #section_portfolio_video_lightbox_width, #section_portfolio_video_lightbox_height').show(); }
			if( $(this).val() == 'html5_flv_disabled' ) { $('#section_portfolio_video_no_sublimevideo').show(); }
		});
	}

});	
