<?php
/**
 * unisphere_scripts() loads cripts
 */
if ( !function_exists( 'unisphere_scripts' ) ) {
function unisphere_scripts() {
	
	global $unisphere_options;
	
	if( is_admin() || in_array($GLOBALS['pagenow'], array('wp-login.php', 'wp-register.php')) ) return;

	// Add the iframe YouTube API if not using IE
	$browser = $_SERVER[ 'HTTP_USER_AGENT' ];
	if ( !preg_match( "/MSIE/", $browser ) ) {
		wp_register_script( 'ytplayerapi', ("http://www.youtube.com/player_api"), false, ''); 
		wp_enqueue_script( 'ytplayerapi' );			
	}

	/* Custom image sizes CSS Styles */
	if( is_multisite() ) {
		wp_register_style( 'custom-image-sizes', UNISPHERE_CSS . '/custom-image-sizes-multisite-' . get_current_blog_id() . '.css' ); 
		wp_enqueue_style( 'custom-image-sizes' );  
	} else {
		wp_register_style( 'custom-image-sizes', UNISPHERE_CSS . '/custom-image-sizes.css' ); 
		wp_enqueue_style( 'custom-image-sizes' );  
	}

	// The current skin CSS file
	if( is_multisite() ) {
		if( beginsWith( $unisphere_options['skin_current'], '_multisite_' ) )
			wp_register_style( 'skin', UNISPHERE_CSS . '/skins/_multisite_' . get_current_blog_id() . '/' . $unisphere_options['skin_current'] . '/skin.css' ); 
		else
			wp_register_style( 'skin', UNISPHERE_CSS . '/skins/' . $unisphere_options['skin_current'] . '/skin.css' ); 
		wp_enqueue_style( 'skin' );
	} else {
		wp_register_style( 'skin', UNISPHERE_CSS . '/skins/' . $unisphere_options['skin_current'] . '/skin.css' ); 
		wp_enqueue_style( 'skin' );
	}

	// If the Woocommerce plugin is installed add the custom CSS file
	if( class_exists('Woocommerce') ) {
		wp_register_style( 'woocommerce', UNISPHERE_CSS . '/woocommerce.css' );
		wp_enqueue_style( 'woocommerce' );

		if( version_compare( WOOCOMMERCE_VERSION, '2.0.0' ) >= 0 ) {
			wp_register_style( 'woocommerce2', UNISPHERE_CSS . '/woocommerce2.css' );
			wp_enqueue_style( 'woocommerce2' );
		}
	}

	// The Mobile CSS file
	wp_register_style( 'mobile', UNISPHERE_CSS . '/mobile.css', array(), false, 'screen' ); 
	wp_enqueue_style( 'mobile');  

	// Load the Google Plus script
	wp_register_script( 'google_plus', ("https://apis.google.com/js/plusone.js"), false, ''); 
	wp_enqueue_script( 'google_plus' );
	
	// Google maps api
	wp_register_script( 'gmaps', ("http://maps.google.com/maps/api/js?sensor=false"), false, ''); 
	wp_enqueue_script( 'gmaps' );
	
	// swfobject (required for slider in IE)
	wp_enqueue_script( 'swfobject' );

	// Theme script dependencies
	wp_enqueue_script( 'scripts', UNISPHERE_JS . '/scripts.js', array( 'jquery' ) ); 

	// Load Cufon fonts if any (from /library/fonts.php)
	unisphere_enqueue_google_fonts();

	// Load Google Web fonts if any (from /library/fonts.php)
	unisphere_enqueue_cufon_fonts();
	
	// Theme custom scripts loaded in the footer
	wp_enqueue_script( 'screen', UNISPHERE_JS . '/screen.js', array( 'jquery' ), '1.0', true ); 
}
}

add_action( 'wp_enqueue_scripts', 'unisphere_scripts' );
?>
