<?php
/**
 * The template for displaying Search Results pages.
 */

get_header(); 

// The blog page template selected in the admin panel for the archive pages
global $unisphere_options, $current_page_template, $has_main_sidebar;
$current_page_template = $unisphere_options['skin_blog_archives_template']; 
$class = str_replace( 'template_', '', $current_page_template );
$class = str_replace( '.php', '', $class );
$class = str_replace( '_', '-', $class );
$has_main_sidebar = true; ?>

    <div class="<?php echo ($class == 'blog-masonry' ? $class : 'clearfix') ?>">

        <?php if ($class != 'blog-masonry' ) : ?>
        <!--BEGIN #primary-->
        <div id="primary" class="<?php echo $class; ?>">
        <?php endif; ?>

        <?php if ( have_posts() ) : ?>

            <?php /* Start the Loop */ ?>
            <?php while ( have_posts() ) : the_post(); ?>

                <?php
                    /* Include the Post-Format-specific template for the content.
                     * If you want to overload this in a child theme then include a file
                     * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                     */
                    get_template_part( 'content', get_post_format() );
                ?>

            <?php endwhile; ?>

        <?php else : ?>

            <div id="post-0" class="post no-results not-found">
                <h2 class="post-title"><?php _e( 'Nothing Found', 'unisphere' ); ?></h2>
                <div class="post-text">
                    <p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'unisphere' ); ?></p>
                    <?php get_search_form(); ?>
                </div>
            </div>

        <?php endif; ?>

        <?php if ($class != 'blog-masonry' ) : ?>
            <?php get_template_part( 'navigation' ); ?>
            <!--END #primary-->
            </div>
            
            <?php get_sidebar(); ?>
        <?php endif; ?>

    </div>

    <?php if ($class == 'blog-masonry' ) 
        get_template_part( 'navigation' ); ?>

<?php get_footer(); ?>
