<?php
/**
 * The sub-header bar
 */ 

global $unisphere_options;

$title = ''; 
$description = ''; 
$sub_header_class = ''; 
$sub_header_style = '';
$sub_header_text_class = ''; 
$sub_header_text_bgcolor = ''; 
$sub_header_text_color = '';
$sub_header_container_style = ' style="';
$sub_header_height = null;

/* --------- Default values defined in the SKIN ---------
   ------------------------------------------------------ */

// Sub-header CSS class based on the chosen background option
if( isset( $unisphere_options['skin_sub_header_bar_bg_select'] ) )
	$sub_header_class = 'class="' . $unisphere_options['skin_sub_header_bar_bg_select'] . '"';

// Set sub-header CSS class as "image" if there's a default image set
if( !empty( $unisphere_options['skin_sub_header_bar_bgimage']['image'] ) )
	$sub_header_class = 'class="image"';

// Sub-header Text CSS class based on the chosen text background option
if( isset( $unisphere_options['skin_sub_header_bar_text_bg_select'] ) )
	$sub_header_text_class = $unisphere_options['skin_sub_header_bar_text_bg_select'];

// Sub-header Text CSS inline style based on the chosen text background option (solid color)
if( isset( $unisphere_options['skin_sub_header_bar_text_bg_select'] ) && $unisphere_options['skin_sub_header_bar_text_bg_select'] == 'solid' && isset( $unisphere_options['skin_sub_header_bar_text_bgcolor'] ) )
	$sub_header_text_bgcolor = 'background-color: ' . $unisphere_options['skin_sub_header_bar_text_bgcolor'] . ';';

// Sub-header Text CSS inline style based on the chosen text solid color
if( isset( $unisphere_options['skin_sub_header_bar_text_color'] ) )
	$sub_header_text_color = 'color: ' . $unisphere_options['skin_sub_header_bar_text_color'] . ';';



if( !is_tag() && !is_category() && !is_author() && !is_day() && !is_month() && !is_year() && !is_404() && !is_attachment() && !is_search() && !( class_exists('Woocommerce') && is_product_category() ) ) {
	
	$post_id = $post->ID;

	// If Woocommerce plugin is installed and this is the shop page apply proper variable values
	if( class_exists('Woocommerce') && is_shop() ) {
		$post_id = woocommerce_get_page_id('shop');
	}

	$custom = get_post_custom( $post_id ); 
	$post_type = get_post_type( $post_id );

	switch( $post_type ) {
		case 'page':
		case 'portfolio_cpt':
		case 'product':
			// Sub-header height CSS inline style based on the chosen height
			if( isset( $custom['_page_sub_header_height'][0] ) ) {
				$sub_header_container_style .= 'height: ' . $custom['_page_sub_header_height'][0] . 'px;'; 
				$sub_header_height = $custom['_page_sub_header_height'][0];
			}

			// Check if this page/portfolio item is overriding the Title
			if( isset( $custom['_page_sub_header_title'][0] ) ) {
				$title = $custom['_page_sub_header_title'][0];
			} else { // If not then use the post title
				$title = get_the_title($post_id);
			}

			// Check if this page/portfolio item is overriding the Description
			if( isset( $custom['_page_sub_header_desc'][0] ) ) {
				$description = $custom['_page_sub_header_desc'][0];
			}

			// Sub-header CSS class based on the chosen background option
			if( isset( $custom['_page_sub_header_bg'][0] ) )
				$sub_header_class = 'class="' . $custom['_page_sub_header_bg'][0] . '"';

			// Sub-header CSS inline style based on the chosen background option (image or solid color)
			if( isset( $custom['_page_sub_header_bg'][0] ) && $custom['_page_sub_header_bg'][0] == 'solid' && isset( $custom['_page_sub_header_bg_color'][0] ) )
				$sub_header_style = 'style="background-color: ' . $custom['_page_sub_header_bg_color'][0] . ';"';

			$page_sub_header_image = @unserialize($custom['_page_sub_header_image'][0]);
			if( isset( $custom['_page_sub_header_bg'][0] ) && $custom['_page_sub_header_bg'][0] == 'image' && $page_sub_header_image )
				$sub_header_style = 'style="background: transparent url(\'' . unisphere_get_post_image_by_url( $page_sub_header_image['image'], true, "", null, $sub_header_height ) . '\') ' . $page_sub_header_image['repeat'] . ' ' . $page_sub_header_image['attachment'] . ' ' . $page_sub_header_image['position'] . ';"';

			// Sub-header CSS inline style for a full-width image
			$page_sub_header_fullwidth_image = @unserialize($custom['_page_sub_header_fullwidth_image'][0]);
			if( isset( $custom['_page_sub_header_bg'][0] ) && $custom['_page_sub_header_bg'][0] == 'fullwidth_image' && $page_sub_header_fullwidth_image ) {
				$sub_header_style = 'style="background-color: transparent; background-image: none;";';
				$sub_header_container_style .= 'background: url(\'' . unisphere_get_post_image_by_url( $page_sub_header_fullwidth_image['image'], true, "", 1920, $sub_header_height ) . '\') ' . $page_sub_header_fullwidth_image['repeat'] . ' ' . $page_sub_header_fullwidth_image['attachment'] . ' ' . $page_sub_header_fullwidth_image['position'] . ';';
			}			

			// Sub-header Text CSS class based on the chosen text background option
			if( isset( $custom['_page_sub_header_text_bg'][0] ) )
				$sub_header_text_class = $custom['_page_sub_header_text_bg'][0];

			// Sub-header Text CSS inline style based on the chosen text background option (solid color)
			if( isset( $custom['_page_sub_header_text_bg'][0] ) && $custom['_page_sub_header_text_bg'][0] == 'solid' && isset( $custom['_page_sub_header_text_bg_color'][0] ) )
				$sub_header_text_bgcolor = 'background-color: ' . $custom['_page_sub_header_text_bg_color'][0] . ';';

			// Sub-header Text CSS inline style based on the chosen text solid color
			if( isset( $custom['_page_sub_header_text_color'][0] ) )
				$sub_header_text_color = 'color: ' . $custom['_page_sub_header_text_color'][0] . ';';

			break;

		case 'post': // the post inherits the sub-header from the parent blog page if it isn't overridden
			foreach (get_the_terms($post_id, 'category') as $term) {
				$parent_term_id = $term->term_id;
			}
			$parent_page_id = get_page_ID_by_custom_field_value('_page_blog_cat', $parent_term_id);
			$custom_parent = get_post_custom( $parent_page_id ); 

			// Sub-header height CSS inline style based on the chosen height
			if( isset( $custom['_page_sub_header_height'][0] ) ) {
				$sub_header_container_style .= 'height: ' . $custom['_page_sub_header_height'][0] . 'px;';
				$sub_header_height = $custom['_page_sub_header_height'][0];
			} else { // If not then check the parent blog page
				if( isset( $custom_parent['_page_sub_header_height'][0] ) ) {
					$sub_header_container_style .= 'height: ' . $custom_parent['_page_sub_header_height'][0] . 'px;';
					$sub_header_height = $custom_parent['_page_sub_header_height'][0];
				}
			}

			// Check if this post is overriding the Title
			if( isset( $custom['_page_sub_header_title'][0] ) ) {
				$title = $custom['_page_sub_header_title'][0];
			} else { // If not then check the parent blog page
				if( isset( $custom_parent['_page_sub_header_title'][0] ) ) {
					$title = $custom_parent['_page_sub_header_title'][0];
				} else { 
					$title = get_the_title( $parent_page_id );
				}
			}

			// Check if this post is overriding the Description
			if( isset( $custom['_page_sub_header_desc'][0] ) ) {
				$description = $custom['_page_sub_header_desc'][0];
			} else { // If not then check the parent blog page
				if( isset( $custom_parent['_page_sub_header_desc'][0] ) ) {
					$description = $custom_parent['_page_sub_header_desc'][0];
				} 
			}

			// Sub-header CSS class based on the chosen background option
			if( isset( $custom['_page_sub_header_bg'][0] ) ) {
				$sub_header_class = 'class="' . $custom['_page_sub_header_bg'][0] . '"';
				$sub_header_style = 'style=""';
			} else { // If not then check the parent blog page
				if( isset( $custom_parent['_page_sub_header_bg'][0] ) ) {
					$sub_header_class = 'class="' . $custom_parent['_page_sub_header_bg'][0] . '"';
					$sub_header_style = 'style=""';
				}
			}

			// Sub-header CSS inline style based on the chosen background option (image or solid color)
			if( isset( $custom['_page_sub_header_bg'][0] ) && $custom['_page_sub_header_bg'][0] == 'solid' && isset( $custom['_page_sub_header_bg_color'][0] ) )
				$sub_header_style = 'style="background-color: ' . $custom['_page_sub_header_bg_color'][0] . ';"';
			else { // If not then check the parent blog page
				if( isset( $custom_parent['_page_sub_header_bg'][0] ) && $custom_parent['_page_sub_header_bg'][0] == 'solid' && isset( $custom_parent['_page_sub_header_bg_color'][0] ) )
					$sub_header_style = 'style="background-color: ' . $custom_parent['_page_sub_header_bg_color'][0] . ';"';
			}

			$page_sub_header_image = @unserialize($custom['_page_sub_header_image'][0]);
			if( isset( $custom['_page_sub_header_bg'][0] ) && $custom['_page_sub_header_bg'][0] == 'image' && $page_sub_header_image )
				$sub_header_style = 'style="background: transparent url(\'' . unisphere_get_post_image_by_url( $page_sub_header_image['image'], true, "", null, $sub_header_height ) . '\') ' . $page_sub_header_image['repeat'] . ' ' . $page_sub_header_image['attachment'] . ' ' . $page_sub_header_image['position'] . ';"';
			else { // If not then check the parent blog page
				$parent_page_sub_header_image = @unserialize($custom_parent['_page_sub_header_image'][0]);
				if( isset( $custom_parent['_page_sub_header_bg'][0] ) && $custom_parent['_page_sub_header_bg'][0] == 'image' && empty($custom['_page_sub_header_bg'][0]) && $parent_page_sub_header_image )
					$sub_header_style = 'style="background: transparent url(\'' . unisphere_get_post_image_by_url( $parent_page_sub_header_image['image'], true, "", null, $sub_header_height ) . '\') ' . $parent_page_sub_header_image['repeat'] . ' ' . $parent_page_sub_header_image['attachment'] . ' ' . $parent_page_sub_header_image['position'] . ';"';
			}

			// Sub-header CSS inline style for a full-width image
			$page_sub_header_fullwidth_image = @unserialize($custom['_page_sub_header_fullwidth_image'][0]);			
			if( isset( $custom['_page_sub_header_bg'][0] ) && $custom['_page_sub_header_bg'][0] == 'fullwidth_image' && $page_sub_header_fullwidth_image ) {
				$sub_header_style = 'style="background-color: transparent; background-image: none;";';
				$sub_header_container_style .= 'background: url(\'' . unisphere_get_post_image_by_url( $page_sub_header_fullwidth_image['image'], true, "", 1920, $sub_header_height ) . '\') ' . $page_sub_header_fullwidth_image['repeat'] . ' ' . $page_sub_header_fullwidth_image['attachment'] . ' ' . $page_sub_header_fullwidth_image['position'] . ';';
			} else { // If not then check the parent blog page
				$parent_page_sub_header_fullwidth_image = @unserialize($custom_parent['_page_sub_header_fullwidth_image'][0]);
				if( isset( $custom_parent['_page_sub_header_bg'][0] ) && $custom_parent['_page_sub_header_bg'][0] == 'fullwidth_image' && empty($custom['_page_sub_header_bg'][0]) && $parent_page_sub_header_fullwidth_image ) {
					$sub_header_style = 'style="background-color: transparent; background-image: none;";';
					$sub_header_container_style .= 'background: url(\'' . unisphere_get_post_image_by_url( $parent_page_sub_header_fullwidth_image['image'], true, "", 1920, $sub_header_height ) . '\') ' . $parent_page_sub_header_fullwidth_image['repeat'] . ' ' . $parent_page_sub_header_fullwidth_image['attachment'] . ' ' . $parent_page_sub_header_fullwidth_image['position'] . ';';
				}
			}			

			// Sub-header Text CSS class based on the chosen text background option
			if( isset( $custom['_page_sub_header_text_bg'][0] ) )
				$sub_header_text_class = $custom['_page_sub_header_text_bg'][0];
			else { // If not then check the parent blog page
				if( isset( $custom_parent['_page_sub_header_text_bg'][0] ) )
					$sub_header_text_class = $custom_parent['_page_sub_header_text_bg'][0];
			}

			// Sub-header Text CSS inline style based on the chosen text background option (solid color)
			if( isset( $custom['_page_sub_header_text_bg'][0] ) && $custom['_page_sub_header_text_bg'][0] == 'solid' && isset( $custom['_page_sub_header_text_bg_color'][0] ) )
				$sub_header_text_bgcolor = 'background-color: ' . $custom['_page_sub_header_text_bg_color'][0] . ';';
			else { // If not then check the parent blog page
				if( isset( $custom_parent['_page_sub_header_text_bg'][0] ) && $custom_parent['_page_sub_header_text_bg'][0] == 'solid' && isset( $custom_parent['_page_sub_header_text_bg_color'][0] ) )
					$sub_header_text_bgcolor = 'background-color: ' . $custom_parent['_page_sub_header_text_bg_color'][0] . ';';
			}

			// Sub-header Text CSS inline style based on the chosen text solid color
			if( isset( $custom['_page_sub_header_text_color'][0] ) )
				$sub_header_text_color = 'color: ' . $custom['_page_sub_header_text_color'][0] . ';';
			else { // If not then check the parent blog page
				if( isset( $custom_parent['_page_sub_header_text_color'][0] ) )
					$sub_header_text_color = 'color: ' . $custom_parent['_page_sub_header_text_color'][0] . ';';
			}

			break;

		default:
			$title = get_the_title();
    		break;
	}
}

$sub_header_container_style .= '"';

// Sub-header CSS inline style based on the chosen background option (image or solid color)
if( $sub_header_style == '' ) {	
	if( isset( $unisphere_options['skin_sub_header_bar_bg_select'] ) && $unisphere_options['skin_sub_header_bar_bg_select'] == 'solid' && isset( $unisphere_options['skin_sub_header_bar_bgcolor'] ) )
		$sub_header_style = 'style="background-color: ' . $unisphere_options['skin_sub_header_bar_bgcolor'] . ';"';

	if( !empty( $unisphere_options['skin_sub_header_bar_bgimage']['image'] ) )
		$sub_header_style = 'style="background: transparent url(\'' . unisphere_get_post_image_by_url( UNISPHERE_CSS . '/skins/' . ( is_multisite() && !contains('_theme_', $unisphere_options['skin_current']) ? '_multisite_' . get_current_blog_id() . '/' : '' ) . $unisphere_options['skin_current'] . '/' . basename($unisphere_options['skin_sub_header_bar_bgimage']['image']), true, "", null, $sub_header_height ) . '\') ' . $unisphere_options['skin_sub_header_bar_bgimage']['repeat'] . ' ' . $unisphere_options['skin_sub_header_bar_bgimage']['attachment'] . ' ' . $unisphere_options['skin_sub_header_bar_bgimage']['position'] . ';"';
}

if( is_tag() ) {
	$description = __( 'Tag Archives:', 'unisphere' );
	$title = single_tag_title( '', false );
} elseif( is_category() ) {
	$description = __( 'Category Archives:', 'unisphere' );
	$title = single_cat_title( '', false );
} elseif( is_author() ) {
	if ( have_posts() )	the_post();
	$description = __( 'Author Archives:', 'unisphere' );
	$title = get_the_author();
	rewind_posts();
} elseif( is_day() ) {
	if ( have_posts() )	the_post();
	$description = __( 'Daily Archives:', 'unisphere' );
	$title = get_the_date();
	rewind_posts();
} elseif( is_month() ) {
	if ( have_posts() )	the_post();
	$description = __( 'Monthly Archives:', 'unisphere' );
	$title = get_the_date('F Y');
	rewind_posts();
} elseif( is_year() ) {
	if ( have_posts() )	the_post();
	$description = __( 'Yearly Archives:', 'unisphere' );
	$title = get_the_date('Y');
	rewind_posts();
} elseif( is_404() ) {					
	$title = __( 'The page could not be found', 'unisphere' );
} elseif( is_attachment() ) {
	if ( have_posts() )	the_post();
	$description = __( 'Attachment:', 'unisphere' );
	$title = get_the_title();
	rewind_posts();
} elseif( is_search() ) {
	$description = __( 'Search Results for:', 'unisphere' );
	$title = get_search_query();
} elseif( class_exists('Woocommerce') && is_product_category() ) {
	global $wp_query; 
	$term = get_term_by( 'slug', get_query_var($wp_query->query_vars['taxonomy']), $wp_query->query_vars['taxonomy']);
	$title = $term->name;
} elseif( class_exists('Woocommerce') && is_product_tag() ) {
	$title = single_tag_title( '', false );
}

?>

	<!--BEGIN #sub-header-container-->
	<div id="sub-header-container" <?php echo $sub_header_container_style; ?> <?php echo ( $description == '' ? 'class="no-description"' : '' ); ?>>

		<!--BEGIN #sub-header-->
		<div id="sub-header" <?php echo $sub_header_class; ?> <?php echo $sub_header_style; ?>>
			
			<?php if( $description != '' ) : ?>
			<small class="<?php echo $sub_header_text_class; ?>" style="<?php echo $sub_header_text_bgcolor . $sub_header_text_color; ?>"><?php echo $description; ?></small>
			<?php endif; ?>
			<h1 class="<?php echo $sub_header_text_class; ?>" style="<?php echo $sub_header_text_bgcolor . $sub_header_text_color; ?>"><?php echo $title; ?></h1>
	
		<!--END #sub-header-->
		</div>
		
	<!--END #sub-header-container-->
	</div>
